<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Dovoljenje extends Model
{
    //
    protected $table = "dovoljenje";
    protected $dates = ['zacetek','konec'];
    protected $fillable = ['razred','contest_id','sola_id','zacetek','konec'];

    public function Contest()
    {
        return $this->belongsTo('App\Contest');
    }
    public function Sola()
    {
        return $this->belongsTo('App\Sola');
    }
}
