<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSolaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sola', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->timestamps();
            $table->string('nazivSole');
            $table->string('kodaSole')->unique();
            //$table->boolean('partecipate'); //omogociti soli da se udelezi kontesta
            $table->string('email')->unique();
            $table->string('telefon')->unique();
            $table->dateTime('datumVpisa');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sola');
    }
}
