<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use App\Contest;
use App\Sola;

class CreateDovoljenjeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dovoljenje', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->timestamps();
            $table->timestamp('zacetek')->nullable();
            $table->timestamp('konec')->nullable();
            $table->tinyInteger('razred')->nullable();
            $table->bigInteger('contest_id')->unsigned();//obvezno!!!!
            $table->foreign('contest_id')->references('id')->on('contest');
            $table->bigInteger('sola_id')->unsigned();//obvezno!!!!
            $table->foreign('sola_id')->references('id')->on('sola');


        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dovoljenje');
    }
}
