<?php

use Illuminate\Database\Seeder;
use App\Contest;
use Carbon\Carbon;

class contestTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //
    	$cont = Contest::create([
            'ime' => Str::random(10),
            'zacetek' => Carbon::now(),
            'trajanje' => Carbon::parse('01:02:14')
        ]);

        $cont->save();


        //
        $cont = Contest::create([
            'ime' => Str::random(10),
            'zacetek' => Carbon::now()->addDay(),
            'trajanje' => Carbon::parse('01:00:00')
        ]);

        $cont->save();

        //
        $cont = Contest::create([
            'ime' => "ProjSem",
            'zacetek' => Carbon::now(),
            'trajanje' => Carbon::parse('01:00:00')
        ]);

        $cont->save();

    }
}
