<?php

use Illuminate\Database\Seeder;
use App\JezikNavodil;

class jezikNavodilTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //
        $row = JezikNavodil::create([
            'naslov' => 'Gary is an avid hiker',
            'jezikNavodil' => 'slo',
            'navodila' => 'Gary is an avid hiker. He tracks his hikes meticulously, paying close attention to small details like topography. During his last hike he took exactly  steps. For every step he took, he noted if it was an uphill, , or a downhill,  step. Garys hikes start and end at sea level and each step up or down represents a  unit change in altitude. We define the following terms:

A mountain is a sequence of consecutive steps above sea level, starting with a step up from sea level and ending with a step down to sea level.
A valley is a sequence of consecutive steps below sea level, starting with a step down from sea level and ending with a step up to sea level.
Given Garys sequence of up and down steps during his last hike, find and print the number of valleys he walked through.

For example, if Garys path is , he first enters a valley  units deep. Then he climbs out an up onto a mountain  units high. Finally, he returns to sea level and ends his hike.

Function Description

Complete the countingValleys function in the editor below. It must return an integer that denotes the number of valleys Gary traversed.

countingValleys has the following parameter(s):

n: the number of steps Gary takes
s: a string describing his path
Input Format

The first line contains an integer , the number of steps in Garys hike.
The second line contains a single string , of  characters that describe his path.

Constraints

(blabla)',
		'problem_id' => 1
        ]);

        $row->save();

        //
        $row = JezikNavodil::create([
            'naslov' => 'problem 1 v ita',
            'jezikNavodil' => 'ita',
            'navodila' => 'Navodila problema 1 v ita',
        'problem_id' => 1
        ]);

        $row->save();

        //
        $row = JezikNavodil::create([
            'naslov' => 'problem 2',
            'jezikNavodil' => 'slo',
            'navodila' => 'Navodila problema 2',
        'problem_id' => 2
        ]);

        $row->save();

        //
        $row = JezikNavodil::create([
            'naslov' => 'problem 3',
            'jezikNavodil' => 'slo',
            'navodila' => 'Navodila problema 3',
        'problem_id' => 3
        ]);

        $row->save();

        //
        $row = JezikNavodil::create([
            'naslov' => 'problem 4',
            'jezikNavodil' => 'slo',
            'navodila' => 'Navodila problema 4',
        'problem_id' => 4
        ]);

        $row->save();

        //
        $row = JezikNavodil::create([
            'naslov' => 'problem 5',
            'jezikNavodil' => 'slo',
            'navodila' => 'Navodila problema 5',
        'problem_id' => 5
        ]);

        $row->save();



        //ProjSem

        //
        $row = JezikNavodil::create([
            'naslov' => 'Zlata jagoda',
            'jezikNavodil' => 'slo',
            'navodila' => 'V skrivnostnem vrtu raste grm zlate jagode. Zlata jagoda je posebna jagoda, 
ki vsako leto poda le tri semena in iz vsakega semena zraste nova zlata jagoda.
Če prvo leto je v grmu le ena jagoda, koliko jagod zraste v n-tem letu?

Vhod: število let v obliki spremenljivke int n.

Izhod: vrednost tipa int, ki predstavlja število jagod po n letih.

Primer:
<table class="myTable">
  <tr>
    <th>Vhod</th>
    <th>Izhod</th>
  </tr>
  <tr>
    <td>1</td>
    <td>1</td>
  </tr>
<tr>
    <td>2</td>
    <td>3</td>
  </tr>
<tr>
    <td>3</td>
    <td>9</td>
  </tr>
<tr>
    <td>5</td>
    <td>81</td>
  </tr>
</table>',
        'problem_id' => 7
        ]);

        $row->save();


        //
        $row = JezikNavodil::create([
            'naslov' => 'Rokovanje',
            'jezikNavodil' => 'slo',
            'navodila' => 'Je ponedeljek 8h in Andrej čaka v zbornici za sestanek. 
Ob 8h1min vstopi Tone v zbornico in takoj opazi, 
da Andrej ga že čaka. Tone se takoj oprosti za 
eno-minutno zamudo in z rokovanjem pozdravi Andreja.
Vsako minuto kasneje vstopi nov sodelavec in z rokovanjem pozdravi vse prisotne.
Koliko rok je bilo stisnjenih, ko v zbornici je prisotnih n oseb?

Vhod: število oseb v obliki spremenljivke int n.

Izhod: vrednost tipa int, ki predstavlja število rokovanj.

Primer:
<table class="myTable">
  <tr>
    <th>Vhod</th>
    <th>Izhod</th>
  </tr>
  <tr>
    <td>1</td>
    <td>0</td>
  </tr>
<tr>
    <td>2</td>
    <td>1</td>
  </tr>
<tr>
    <td>3</td>
    <td>3</td>
  </tr>
<tr>
    <td>4</td>
    <td>6</td>
  </tr>
<tr>
    <td>5</td>
    <td>10</td>
  </tr>
</table>',
        'problem_id' => 8
        ]);

        $row->save();


    }
    
}
