<?php

use Illuminate\Database\Seeder;
use App\Koda;

class kodaTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //

         //
        $row = Koda::create([
            'jezikProgramski' => 'java',
            'kodaBody' => ' static int countingValleys(int n, String s) {



            }',
		'kodaHead' => 'import java.io.*;
import java.math.*;
import java.security.*;
import java.text.*;
import java.util.*;
import java.util.concurrent.*;
import java.util.regex.*;
import java.lang.*;

public class Counting{


    /*          DEFINIRAJ COMPARE FUNKCIJO ZA PRIMERJAT REZULTATE       */
    public static boolean my_compare(int a, int b){

        if(a == b){
            return true;
        }
        return false;
    }


    public static void main(String args[]){  

        //za povrnitev rezultatov testov: passed failed exception
        String[] testResult = new String[5];
        testResult[0] = "";
        testResult[1] = "";
        testResult[2] = "";
        testResult[3] = "";
        testResult[4] = "";

        //za povrnitev stevilo opravljenih testov
        int nTest=0;
        //presetttt
        int nPrimary=0;


        /*     VSTAVI INPUT TEST CASE      */
        int[] arg1_C = new int[5];
        String[] arg2_C = new String[5];
        int[] res_C = new int[5];


        //TestCase input   --- TESTCASE 1
        arg1_C[0] = 8;
        arg2_C[0] = "UDDDUDUU"; 
        res_C[0] = 1;

        //TestCase input   --- TESTCASE 2
        arg1_C[1] = 32;
        arg2_C[1] = "UDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUU";   
        res_C[1] = 4;

        //TestCase input   --- TESTCASE 3
        arg1_C[2] = 28;
        arg2_C[2] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU";
        res_C[2] = 3;

        //TestCase input   --- TESTCASE 4
        arg1_C[3] = 28;
        arg2_C[3] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU"; 
        res_C[3] = 3;
        
        //TestCase input   --- TESTCASE 5
        arg1_C[4] = 28; 
        arg2_C[4] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU";  
        res_C[4] = 3;



        /*      VSTAVI MAKSIMALEN CAS IZVAJANJA PRIMARY TESTOV         */
        //CAS - tukaj definiras maksimalen cas izvajanja posameznega PRIMARY testa v milisekundah 
        long[] timeP = new long[5];
        timeP[0] = 1000;
        timeP[1] = 1000;
        timeP[2] = 1000;
        timeP[3] = 1000;
        timeP[4] = 1000;


        /*      VSTAVI INPUT PRIMARY TESTOV         */
        int[] arg1_P = new int[5];
        String[] arg2_P = new String[5];
        int[] res_P = new int[5];


        //TestCase input   --- PRIMARY 1
        arg1_P[0] = 8;
        arg2_P[0] = "UDDDUDUU"; 
        res_P[0] = 1;

        //TestCase input   --- PRIMARY 2
        arg1_P[1] = 32;
        arg2_P[1] = "UDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUU";   
        res_P[1] = 4;

        //TestCase input   --- PRIMARY 3
        arg1_P[2] = 28;
        arg2_P[2] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU"; 
        res_P[2] = 3;

        //TestCase input   --- PRIMARY 4
        arg1_P[3] = 28;
        arg2_P[3] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU";
        res_P[3] = 3;

        //TestCase input   --- PRIMARY 5
        arg1_P[4] = 28; 
        arg2_P[4] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU";  
        res_P[4] = 3;


        /*      DEFINIRAJ TIP IZHODNEGA PODATKA         */
        //definicija tipa resultata klica funkcije
        int res;

        ///////////////////////////////TestCase 
        for(int i = 0; i < 5 ; i++){

            try {

                res = countingValleys(arg1_C[i],arg2_C[i]);  

                if(my_compare(res,res_C[i])){
                    testResult[i]+="passed";
                    nTest++;
                }else{
                    testResult[i]+="failed";
                }
        //  Block of code to try
            }catch(ArithmeticException e) {
                testResult[i]+="ArithmeticException";
            }catch(ArrayStoreException e) {
                testResult[i]+="ArrayStoreException";
            }catch(IllegalArgumentException e) {
                testResult[i]+="IllegalArgumentException";
            }catch(IllegalStateException e) {
                testResult[i]+="IllegalStateException";
            }catch(NegativeArraySizeException e) {
                testResult[i]+="NegativeArraySizeException";
            }catch(NullPointerException e) {
                testResult[i]+="NullPointerException";
            }catch(UnsupportedOperationException e) {
                testResult[i]+="UnsupportedOperationException";
            }catch(IndexOutOfBoundsException e) {
                testResult[i]+="IndexOutOfBounds";
            }catch(Exception e) {
        //  Block of code to handle errors
                testResult[i]="Exception";
            }
        }


        ///////////////////////////////PRIMARY 
        for(int i = 0; i < 5 ; i++){
            
            try {


                long currentTime = System.currentTimeMillis();

                res = countingValleys(arg1_P[i],arg2_P[i]);  

                long execTime = System.currentTimeMillis() - currentTime;

                if(my_compare(res,res_P[i]) && execTime <= timeP[i]){
                    nPrimary++;
                }
        //  Block of code to try
            }catch(Exception e) {
            }
        }


        System.out.print("\"test1\":"+"\""+testResult[0]+"\",\"test2\":"+"\""+testResult[1]+"\",\"test3\":"+"\""+testResult[2]+"\",\"test4\":"+"\""+testResult[3]+"\",\"test5\":"+"\""+testResult[4]+"\",\"testCase\":"+"\""+nTest+"\",\"primary\":"+"\""+nPrimary+"\"");

    }   ',
        'kodaTail' => '}',
        'problem_id' => 1
        ]);

        $row->save();

        $row = Koda::create([
            'jezikProgramski' => 'python3',
            'kodaBody' => 'def countiungValleys(n,niz):
    return 3',
        'kodaHead' => '#Python program
import time



def my_compare(x,y):
    if x == y:
        return True
    else:
        return False


#za povrnitev rezultatov testov: passed failed exception
testResult = ["","","","",""]


#za povrnitev stevilo opravljenih testov
nTest = 0
nPrimary = 0


#/*     VSTAVI INPUT TEST CASE      */
arg1_C = []
arg2_C = []
res_C = []


#TestCase input   --- TESTCASE 1
arg1_C.append(8)
arg2_C.append("UDDDUDUU")
res_C.append(1)

#TestCase input   --- TESTCASE 2
arg1_C.append(32)
arg2_C.append("UDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUU")
res_C.append(4)

#TestCase input   --- TESTCASE 3
arg1_C.append(28)
arg2_C.append("UUDDUUDDUUDDDDDDUUUUDDUUDDUU")
res_C.append(3)

#TestCase input   --- TESTCASE 4
arg1_C.append(28)
arg2_C.append("UUDDUUDDUUDDDDDDUUUUDDUUDDUU")
res_C.append(3)

#TestCase input   --- TESTCASE 5
arg1_C.append(28)
arg2_C.append("UUDDUUDDUUDDDDDDUUUUDDUUDDUU")
res_C.append(3)




#/*      VSTAVI MAKSIMALEN CAS IZVAJANJA PRIMARY TESTOV         */
#CAS - tukaj definiras maksimalen cas izvajanja posameznega PRIMARY testa v milisekundah 
timeP = [1000,1000,1000,1000,1000]



#/*     VSTAVI INPUT PRIMARY     */
arg1_P = []
arg2_P = []
res_P = []

#PRIMARY input   --- PRIMARY 1
arg1_P.append(8)
arg2_P.append("UDDDUDUU")
res_P.append(1)

#PRIMARY input   --- PRIMARY 2
arg1_P.append(32)
arg2_P.append("UDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUU")
res_P.append(4)

#PRIMARY input   --- PRIMARY 3
arg1_P.append(28)
arg2_P.append("UUDDUUDDUUDDDDDDUUUUDDUUDDUU")
res_P.append(3)

#PRIMARY input   --- PRIMARY 4
arg1_P.append(28)
arg2_P.append("UUDDUUDDUUDDDDDDUUUUDDUUDDUU")
res_P.append(3)

#PRIMARY input   --- PRIMARY 5
arg1_P.append(28)
arg2_P.append("UUDDUUDDUUDDDDDDUUUUDDUUDDUU")
res_P.append(3)



',
        'kodaTail' => '#///////////////////////TEST CASE 
for i in range(0,5):
    try:
        res = countiungValleys(arg1_C[i],arg2_C[i])
        if my_compare(res,res_C[i]):
            testResult[i]="passed"
            nTest+=1
        else:
            testResult[i]="failed"

    except IndexError:
        testResult[i]="IndexOutOfBounds"
    except ArithmeticError:
        testResult[i]="ArithmeticError"
    except IndentationError:
        testResult[i]="IndentationError"
    except MemoryError:
        testResult[i]="RecursionError"
    except Exception:
        testResult[i]="GenericException"




#/////////////////////////PRIMARY 
for i in range(0,5):
    try:
        currentTime = int(round(time.time() * 1000))
        res = countiungValleys(arg1_P[i],arg2_P[i])
        execTime = int(round(time.time() * 1000)) - currentTime
        if my_compare(res,res_P[i]) and execTime <= timeP[i]:
            nPrimary+=1

    except Exception:
        break





print("\"test1\":"+"\""+testResult[0]+"\",\"test2\":"+"\""+testResult[1]+"\",\"test3\":"+"\""+testResult[2]+"\",\"test4\":"+"\""+testResult[3]+"\",\"test5\":"+"\""+testResult[4]+"\",\"testCase\":"+"\""+str(nTest)+"\",\"primary\":"+"\""+str(nPrimary)+"\"")


',
        'problem_id' => 1
        ]);

        $row->save();


        $row = Koda::create([
            'jezikProgramski' => 'c',
            'kodaHead' => '',
            'kodaBody' => '#include<stdio.h>
#include<string.h>
#include<stdbool.h>
#include<time.h> 


int countingValley(int n, char* s){

    
}',
        'kodaTail' => '

bool my_compare(int x, int y){

    if(x == y){
        return true;
    }
    return false;
}

int main(){

    //za povrnitev rezultatov testov: passed failed exception
    char testResult[5][50]={ "","","",""};

    //za povrnitev stevilo opravljenih testov
    int nTest=0;
    int nPrimary=0;



    /*     VSTAVI INPUT TEST CASE      */
    int arg1_C[5];
    char arg2_C[5][1000];
    int res_C[5];

    //TestCase input   --- TESTCASE 1
    arg1_C[0] = 8;
    strcpy(arg2_C[0],"UDDDUDUU"); 
    res_C[0] = 1;

        //TestCase input   --- TESTCASE 2
    arg1_C[1] = 32;
    strcpy(arg2_C[1],"UDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUU");   
    res_C[1] = 4;

        //TestCase input   --- TESTCASE 3
    arg1_C[2] = 28;
    strcpy(arg2_C[2],"UUDDUUDDUUDDDDDDUUUUDDUUDDUU");
    res_C[2] = 3;

        //TestCase input   --- TESTCASE 4
    arg1_C[3] = 28;
    strcpy(arg2_C[3],"UUDDUUDDUUDDDDDDUUUUDDUUDDUU"); 
    res_C[3] = 3;

        //TestCase input   --- TESTCASE 5
    arg1_C[4] = 28; 
    strcpy(arg2_C[4],"UUDDUUDDUUDDDDDDUUUUDDUUDDUU");  
    res_C[4] = 3;


    /*      VSTAVI MAKSIMALEN CAS IZVAJANJA PRIMARY TESTOV         */
    //CAS - tukaj definiras maksimalen cas izvajanja posameznega PRIMARY testa v milisekundah 
    float timeP[5] = {1000,1000,1000,1000,1000};




        /*      VSTAVI INPUT PRIMARY TESTOV         */
    int arg1_P[5];
    char arg2_P[5][1000];
    int res_P[5];

    //TestCase input   --- PRIMARY 1
    arg1_P[0] = 8;
    strcpy(arg2_P[0],"UDDDUDUU"); 
    res_P[0] = 1;


    //TestCase input   --- PRIMARY 1
    arg1_P[1] = 32;
    strcpy(arg2_P[1],"UDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUU");   
    res_P[1] = 4;


    //TestCase input   --- PRIMARY 1
    arg1_P[2] = 28;
    strcpy(arg2_P[2],"UUDDUUDDUUDDDDDDUUUUDDUUDDUU");
    res_P[2] = 3;


    //TestCase input   --- PRIMARY 1
    arg1_P[3] = 28;
    strcpy(arg2_P[3],"UUDDUUDDUUDDDDDDUUUUDDUUDDUU"); 
    res_P[3] = 3;


    //TestCase input   --- PRIMARY 1
    arg1_P[4] = 28;
    strcpy(arg2_P[4],"UUDDUUDDUUDDDDDDUUUUDDUUDDUU"); 
    res_P[4] = 3;



    /*      DEFINIRAJ TIP IZHODNEGA PODATKA         */
    //definicija tipa resultata klica funkcije
    int res;

    //pet testov
    int i = 0;
    ///////////////////////////////TestCase 
    for(i = 0; i < 5; i++ ){
        res = countingValley(arg1_C[i],arg2_C[i]);
        if(my_compare(res_C[i],res)){
            printf("\"test%d\":\"passed\",",(i+1));
            nTest++;
        }else{
            printf("\"test%d\":\"failed\",",(i+1));
        }
    }

    printf("\"testCase\":\"%d\",",nTest);



    clock_t currentTime, t2;

    float execTime;

    //pet testov
    ///////////////////////////////PRIMARY 
    for(i = 0; i < 5; i++ ){
        currentTime = clock();
        res = countingValley(arg1_P[i],arg2_P[i]);
        t2 = clock();
        execTime = ((float)(t2 - currentTime) / 1000000.0F ) * 1000;
        if(my_compare(res_P[i],res) && execTime <= timeP[i] ){
            nPrimary++;
        }
    }


    printf("\"primary\":\"%d\"",nPrimary);

}',
        'problem_id' => 1
        ]);

        $row->save();



        $row = Koda::create([
            'jezikProgramski' => 'java',
            'kodaBody' => 'koda problema 2',
        'kodaHead' => 'mojTestCase',
        'kodaTail' => 'nekOutputtestCasa',
        'problem_id' => 2
        ]);
        $row->save();
        $row = Koda::create([
            'jezikProgramski' => 'java',
            'kodaBody' => 'koda problema 3',
        'kodaHead' => 'mojTestCase',
        'kodaTail' => 'nekOutputtestCasa',
        'problem_id' => 3
        ]);
        $row->save();
        $row = Koda::create([
            'jezikProgramski' => 'java',
            'kodaBody' => 'koda problema 4',
        'kodaHead' => 'mojTestCase',
        'kodaTail' => 'nekOutputtestCasa',
        'problem_id' => 4
        ]);
        $row->save();
        $row = Koda::create([
            'jezikProgramski' => 'java',
            'kodaBody' => 'koda problema 5',
        'kodaHead' => 'mojTestCase',
        'kodaTail' => 'nekOutputtestCasa',
        'problem_id' => 5
        ]);
        $row->save();


        //Za ProjSem ------------------------------------------------------

        $row = Koda::create([
            'jezikProgramski' => 'java',
            'kodaBody' => 'static int zlataJagoda(int n) {

     
        //vrni stevilo jagod
        return 1;

    }',
        'kodaHead' => 'import java.io.*;
import java.math.*;
import java.security.*;
import java.text.*;
import java.util.*;
import java.util.concurrent.*;
import java.util.regex.*;
import java.lang.*;

public class Counting{


    /*          DEFINIRAJ COMPARE FUNKCIJO ZA PRIMERJAT REZULTATE       */
    public static boolean my_compare(int a, int b){

        if(a == b){
            return true;
        }
        return false;
    }

    //funkcija,ki klice glavno metodo
    public static int runMethod(int arg){

        return zlataJagoda(arg);
    }


    public static void main(String args[]){  

        //za povrnitev rezultatov testov: passed failed exception
        String testResult1 = "";
        String testResult2 = "";
        String testResult3 = "";
        String testResult4 = "";
        String testResult5 = "";

        //za povrnitev stevilo opravljenih testov
        int nTest=0;
        //presetttt
        int nPrimary=0;


        /*     VSTAVI INPUT TEST CASE      */
        //TestCase input   --- TESTCASE 1
        int arg1_C1 = 1;
        int res_C1 = 1;

        //TestCase input   --- TESTCASE 2
        int arg1_C2 = 2;  
        int res_C2 = 3;

        //TestCase input   --- TESTCASE 3
        int arg1_C3 = 4;
        int res_C3 = 27;

        //TestCase input   --- TESTCASE 4
        int arg1_C4 = 7;
        int res_C4 = 729;

        //TestCase input   --- TESTCASE 5
        int arg1_C5 = 11; 
        int res_C5 = 59049;



        /*      VSTAVI MAKSIMALEN CAS IZVAJANJA PRIMARY TESTOV         */
        //CAS - tukaj definiras maksimalen cas izvajanja posameznega PRIMARY testa v milisekundah 
        long timeP1 = 1000;
        long timeP2 = 1000;
        long timeP3 = 1000;
        long timeP4 = 1000;
        long timeP5 = 1000;


        /*      VSTAVI INPUT PRIMARY TESTOV         */
        //TestCase input   --- PRIMARY 1
        int arg1_P1 = 1;
        int res_P1 = 1;

        //TestCase input   --- PRIMARY 2
        int arg1_P2 = 6;  
        int res_P2 = 243;

        //TestCase input   --- PRIMARY 3
        int arg1_P3 = 9;
        int res_P3 = 6561;

        //TestCase input   --- PRIMARY 4
        int arg1_P4 = 16;
        int res_P4 = 14348907;

        //TestCase input   --- PRIMARY 5
        int arg1_P5 = 4; 
        int res_P5 = 27;


        /*      DEFINIRAJ TIP IZHODNEGA PODATKA         */
        //definicija tipa resultata klica funkcije
        int res;


        try {//////////////TestCase 1

        res = runMethod(arg1_C1);  

        if(my_compare(res,res_C1)){
            testResult1+="passed";
            nTest++;
        }else{
            testResult1+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult1+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult1+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult1+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult1+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult1+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult1+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult1+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult1+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult1="Exception";
        }

        try {//////////////TestCase 2
         

        res = runMethod(arg1_C2);  

        if(my_compare(res,res_C2)){
            testResult2+="passed";
            nTest++;
        }else{
            testResult2+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult2+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult2+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult2+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult2+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult2+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult2+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult2+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult2+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult2="Exception";
        }


        try {//////////////TestCase 3
 
        
        res = runMethod(arg1_C3);  


        if(my_compare(res,res_C3)){
            testResult3+="passed";
            nTest++;
        }else{
            testResult3+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult3+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult3+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult3+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult3+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult3+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult3+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult3+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult3+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult3="Exception";
        }


        try {//////////////TestCase 4

        
        res = runMethod(arg1_C4);  

        if(my_compare(res,res_C4)){
            testResult4+="passed";
            nTest++;
        }else{
            testResult4+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult5+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult5+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult5+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult5+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult5+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult5+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult5+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult5+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult4="Exception";
        }

        try {//////////////TestCase 5
 
        
        res = runMethod(arg1_C5);  

        if(my_compare(res,res_C5)){
            testResult5+="passed";
            nTest++;
        }else{
            testResult5+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult5+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult5+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult5+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult5+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult5+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult5+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult5+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult5+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult5="Exception";
        }


        try {//////////////Primary 1


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P1);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P1) && execTime <= timeP1){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }

        try {//////////////Primary 2


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P2);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P2) && execTime <= timeP2){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }

        try {//////////////Primary 3


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P3);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P3) && execTime <= timeP3){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }

        try {//////////////Primary 4


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P4);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P4) && execTime <= timeP4){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }

        try {//////////////Primary 5


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P5);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P5) && execTime <= timeP5){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }


System.out.print("\"test1\":"+"\""+testResult1+"\",\"test2\":"+"\""+testResult2+"\",\"test3\":"+"\""+testResult3+"\",\"test4\":"+"\""+testResult4+"\",\"test5\":"+"\""+testResult5+"\",\"testCase\":"+"\""+nTest+"\",\"primary\":"+"\""+nPrimary+"\"");

    }',
        'kodaTail' => '}',
        'problem_id' => 7
        ]);
        $row->save();


        $row = Koda::create([
            'jezikProgramski' => 'python3',
            'kodaBody' => 'koda problema Zlata jagoda',
        'kodaHead' => 'mojTestCase',
        'kodaTail' => 'nekOutputtestCasa',
        'problem_id' => 7
        ]);
        $row->save();

        $row = Koda::create([
            'jezikProgramski' => 'c',
            'kodaBody' => 'koda problema Zlata jagoda',
        'kodaHead' => 'mojTestCase',
        'kodaTail' => 'nekOutputtestCasa',
        'problem_id' => 7
        ]);
        $row->save();


        $row = Koda::create([
            'jezikProgramski' => 'java',
            'kodaBody' => 'static int rokovanje(int n) {

     
        //vrni stevilo rokovanj
        return 1;

    }',
        'kodaHead' => 'import java.io.*;
import java.math.*;
import java.security.*;
import java.text.*;
import java.util.*;
import java.util.concurrent.*;
import java.util.regex.*;
import java.lang.*;

public class Counting{


    /*          DEFINIRAJ COMPARE FUNKCIJO ZA PRIMERJAT REZULTATE       */
    public static boolean my_compare(int a, int b){

        if(a == b){
            return true;
        }
        return false;
    }

    //funkcija,ki klice glavno metodo
    public static int runMethod(int arg){

        return rokovanje(arg);
    }


    public static void main(String args[]){  

        //za povrnitev rezultatov testov: passed failed exception
        String testResult1 = "";
        String testResult2 = "";
        String testResult3 = "";
        String testResult4 = "";
        String testResult5 = "";

        //za povrnitev stevilo opravljenih testov
        int nTest=0;
        //presetttt
        int nPrimary=0;


        /*     VSTAVI INPUT TEST CASE      */
        //TestCase input   --- TESTCASE 1
        int arg1_C1 = 2;
        int res_C1 = 1;

        //TestCase input   --- TESTCASE 2
        int arg1_C2 = 3;  
        int res_C2 = 3;

        //TestCase input   --- TESTCASE 3
        int arg1_C3 = 4;
        int res_C3 = 6;

        //TestCase input   --- TESTCASE 4
        int arg1_C4 = 8;
        int res_C4 = 28;

        //TestCase input   --- TESTCASE 5
        int arg1_C5 = 30; 
        int res_C5 = 435;



        /*      VSTAVI MAKSIMALEN CAS IZVAJANJA PRIMARY TESTOV         */
        //CAS - tukaj definiras maksimalen cas izvajanja posameznega PRIMARY testa v milisekundah 
        long timeP1 = 1000;
        long timeP2 = 1000;
        long timeP3 = 1000;
        long timeP4 = 1000;
        long timeP5 = 1000;


        /*      VSTAVI INPUT PRIMARY TESTOV         */
        //TestCase input   --- PRIMARY 1
        int arg1_P1 = 35;
        int res_P1 = 595;

        //TestCase input   --- PRIMARY 2
        int arg1_P2 = 60;  
        int res_P2 = 1770;

        //TestCase input   --- PRIMARY 3
        int arg1_P3 = 100;
        int res_P3 = 4950;

        //TestCase input   --- PRIMARY 4
        int arg1_P4 = 200;
        int res_P4 = 19900;

        //TestCase input   --- PRIMARY 5
        int arg1_P5 = 2000; 
        int res_P5 = 1999000;


        /*      DEFINIRAJ TIP IZHODNEGA PODATKA         */
        //definicija tipa resultata klica funkcije
        int res;


        try {//////////////TestCase 1

        res = runMethod(arg1_C1);  

        if(my_compare(res,res_C1)){
            testResult1+="passed";
            nTest++;
        }else{
            testResult1+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult1+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult1+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult1+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult1+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult1+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult1+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult1+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult1+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult1="Exception";
        }

        try {//////////////TestCase 2
         

        res = runMethod(arg1_C2);  

        if(my_compare(res,res_C2)){
            testResult2+="passed";
            nTest++;
        }else{
            testResult2+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult2+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult2+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult2+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult2+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult2+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult2+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult2+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult2+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult2="Exception";
        }


        try {//////////////TestCase 3
 
        
        res = runMethod(arg1_C3);  


        if(my_compare(res,res_C3)){
            testResult3+="passed";
            nTest++;
        }else{
            testResult3+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult3+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult3+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult3+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult3+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult3+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult3+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult3+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult3+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult3="Exception";
        }


        try {//////////////TestCase 4

        
        res = runMethod(arg1_C4);  

        if(my_compare(res,res_C4)){
            testResult4+="passed";
            nTest++;
        }else{
            testResult4+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult5+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult5+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult5+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult5+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult5+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult5+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult5+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult5+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult4="Exception";
        }

        try {//////////////TestCase 5
 
        
        res = runMethod(arg1_C5);  

        if(my_compare(res,res_C5)){
            testResult5+="passed";
            nTest++;
        }else{
            testResult5+="failed";
        }
        //  Block of code to try
        }catch(ArithmeticException e) {
            testResult5+="ArithmeticException";
        }catch(ArrayStoreException e) {
            testResult5+="ArrayStoreException";
        }catch(IllegalArgumentException e) {
            testResult5+="IllegalArgumentException";
        }catch(IllegalStateException e) {
            testResult5+="IllegalStateException";
        }catch(NegativeArraySizeException e) {
            testResult5+="NegativeArraySizeException";
        }catch(NullPointerException e) {
            testResult5+="NullPointerException";
        }catch(UnsupportedOperationException e) {
            testResult5+="UnsupportedOperationException";
        }catch(IndexOutOfBoundsException e) {
            testResult5+="IndexOutOfBounds";
        }catch(Exception e) {
        //  Block of code to handle errors
            testResult5="Exception";
        }


        try {//////////////Primary 1


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P1);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P1) && execTime <= timeP1){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }

        try {//////////////Primary 2


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P2);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P2) && execTime <= timeP2){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }

        try {//////////////Primary 3


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P3);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P3) && execTime <= timeP3){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }

        try {//////////////Primary 4


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P4);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P4) && execTime <= timeP4){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }

        try {//////////////Primary 5


        long currentTime = System.currentTimeMillis();
 
        res = runMethod(arg1_P5);  

        long execTime = System.currentTimeMillis() - currentTime;

        if(my_compare(res,res_P5) && execTime <= timeP5){
            nPrimary++;
        }
        //  Block of code to try
        }catch(Exception e) {
        }


System.out.print("\"test1\":"+"\""+testResult1+"\",\"test2\":"+"\""+testResult2+"\",\"test3\":"+"\""+testResult3+"\",\"test4\":"+"\""+testResult4+"\",\"test5\":"+"\""+testResult5+"\",\"testCase\":"+"\""+nTest+"\",\"primary\":"+"\""+nPrimary+"\"");

    }',
        'kodaTail' => '}',
        'problem_id' => 8
        ]);
        $row->save();


        $row = Koda::create([
            'jezikProgramski' => 'python3',
            'kodaBody' => 'koda problema Rokovanje',
        'kodaHead' => 'mojTestCase',
        'kodaTail' => 'nekOutputtestCasa',
        'problem_id' => 8
        ]);
        $row->save();


        $row = Koda::create([
            'jezikProgramski' => 'c',
            'kodaBody' => 'koda problema Rokovanje',
        'kodaHead' => 'mojTestCase',
        'kodaTail' => 'nekOutputtestCasa',
        'problem_id' => 8
        ]);
        $row->save();
    }
}
