document.addEventListener('DOMContentLoaded',nSetup);



function nSetup(){

	ajaxGetInfo();


}

//obdela rezultat ajax zahteve
function setState(state){

	console.log(state)
	var parent = document.getElementById("nCol");
	var div = document.createElement("div");
	var p = document.createElement("h4");
	p.setAttribute("class","text-center");

	if(state['zacel']){
		//kontest se je zacel
		if(state['zeTekmoval'] || state['ready']===false || state['poteklo'] || state['neSodeluje']){
			if(state['zeTekmoval']){
				var textNode = document.createTextNode("Si že sodeloval na tem tekmovanju");
			}else if(state['ready']===false ){
				var textNode = document.createTextNode("Tekmovanje ni še začelo za tvojo šolo");
			}else if(state['poteklo']){
				var textNode = document.createTextNode("Zamudil si tekmovanje");
			}else if(state['neSodeluje']){
				var textNode = document.createTextNode("Tvoja sola oziroma razred ne sodeluje v tekmovanju");
			}
			p.appendChild(textNode);
			parent.appendChild(p);
		}else if(state['ready'] || state['vTeku']){
			var form = document.createElement("form");
			form.setAttribute("action","/solveView");
			form.setAttribute("class","text-center");
			form.setAttribute("method","get");
			if(state['vTeku']){
				var textNode = document.createTextNode("Tekmovanje je že v teku!");
				form.innerHTML='<button type="submit" class="btn btn-outline-warning">Nadaljuj</button>';
			}else{
				var textNode = document.createTextNode("Si pripravljen za začeti tekmovanje?");
				form.innerHTML = '<button type="submit" class="btn btn-outline-info">Začni tekmovanje!!</button>';
			}
			p.appendChild(textNode);
			div.appendChild(p);
			div.appendChild(form);
			parent.appendChild(div);
		}

	}else{//ni se zacel izpisi COUNTDOWN
		
		var divCenter = document.createElement("div");
		divCenter.setAttribute("class","text-center");
		var count = document.createElement("h3");
		count.setAttribute("id","nCountdown");
		count.setAttribute("class","wrapper text-center");
		var textNode = document.createTextNode("Tekmovanje se bo zacelo čez");
		divCenter.appendChild(count);
		p.appendChild(textNode);
		div.appendChild(p);
		div.appendChild(divCenter);
		parent.appendChild(div);
		countdown(state['cas']);
	}

}




///////////////////AJAAXXX
//ajax poizvedba za pregledat ce contest je odprt zaprt ali kajjj
function ajaxGetInfo(){
  var req= new XMLHttpRequest();

  //get zahteva z specificiranim prog jezikom
  req.open("GET","/contestInfo");

  //tokec csrf
  token = document.querySelector('meta[name="csrf-token"]').content;
  req.setRequestHeader('X-CSRF-TOKEN', token);

  // Defining event listener for readystatechange event
  req.onreadystatechange = function() {
        // Check if the request is compete and was successful
        if(this.readyState === 4 && this.status === 200) {
            // Inserting the response from server into an HTML element
            state=JSON.parse(this.responseText);
           	console.log(state);
            setState(state);
            //countdown(problemi['trajanje']);
          }
        };
        req.send();
      }



//COUNTDOWN TIMEEERRR
function countdown(time){

var cas = new Date(time);



//console.log("h:"+h+" m:"+m+" s:"+s);(h*60*60*1000)+(m*60*1000)+(s*1000)
/********Countddown timer**********/
var yourDateToGo = new Date(); //here you're making new Date object
											//tukaj lahko spreminjas čas 
    yourDateToGo.setTime(yourDateToGo.getTime() + cas.getTime()); //your're setting date in this object 1 day more from now
    //you can change number of days to go by putting any number in place of 1

    var timing = setInterval( // you're making an interval - a thing, that is updating content after number of miliseconds, that you're writing after comma as second parameter
      function () {

        var currentDate = new Date().getTime(); //same thing as above
        var timeLeft = yourDateToGo - currentDate; //difference between time you set and now in miliseconds

        var days = Math.floor(timeLeft / (1000 * 60 * 60 * 24)); //conversion miliseconds on days 
        if (days < 10) days="0"+days; //if number of days is below 10, programm is writing "0" before 9, that's why you see "09" instead of "9"
        var hours = Math.floor((timeLeft % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)); //conversion miliseconds on hours
        if (hours < 10) hours="0"+hours;
        var minutes = Math.floor((timeLeft % (1000 * 60 * 60)) / (1000 * 60)); //conversion miliseconds on minutes 
        if (minutes < 10) minutes="0"+minutes;
        var seconds = Math.floor((timeLeft % (1000 * 60)) / 1000);//conversion miliseconds on seconds
        if (seconds < 10) seconds="0"+seconds;

        document.getElementById("nCountdown").innerHTML = days + "d " + hours + "h " + minutes + "m " + seconds + "s"; // putting number of days, hours, minutes and seconds in div, 
        //which id is countdown
        //console.log(timeLeft);


        if (timeLeft <= 0) {
          window.onbeforeunload = null;
          clearInterval(timing);
          //document.getElementById("nCountdown").innerHTML = "It's over"; //if there's no time left, programm in this 2 lines is clearing interval (nothing is counting now) 
          //and you see "It's over" instead of time left
          //zamenjaj z xcoding
          location.reload();
        }
      }, 1000);

  }