document.addEventListener('DOMContentLoaded',beginPage);

//oznaci da posodabljamo problem
var inUpdate = false;


var numP = 0;
var numJ = 0;

//CRUD problem
var prog = null;
var navod = null;
var tezavnostProblema = null;
var problemID = null;

//Spremenljivka, ki definira kaj zbrisati ob updatu
var deleteMe = null;


function restore(){

inUpdate = false;

numP = 0;
numJ = 0;

//CRUD problem
prog = null;
navod = null;
tezavnostProblema = null;
problemID = null;

//Spremenljivka, ki definira kaj zbrisati ob updatu
deleteMe = null;
}


function beginPage(){

	document.getElementById("create").addEventListener('click',create);
	document.getElementById("list").addEventListener('click',list);

	//ce prog navod in tez so setirane odpri spremembo problema
	if(prog !== null && navod !== null && tezavnostProblema !== null && problemID !== null){

		console.log("problem_ID "+problemID);
		console.log(prog);
		console.log(navod);
		console.log(tezavnostProblema);

		loadCreate(true,prog.length,navod.length);

		prog.forEach(element => addProgJezik(element));

		navod.forEach(element => addNavodilJezik(element));

	}

}



/////////////////////////////////////LIST -> RUD PROBLEM
//if skip true zbrisi vse na screen in klici seznam problemov
function list(skip){

	if(skip !== true){
		var r = confirm("Pazi tako gres na LIST");

		if(r!==true){
			return;
		}
	}else{
		//brisi vse notr
		var c = document.getElementById('cont').innerHTML="";
	}

	var form = document.createElement('form');;
	form.method = 'get';
 	form.action = '/problem';

 	document.body.appendChild(form);
  	form.submit();

}



//ajax za dobiti listo problemov
function ajaxGetProblems(){
  var req= new XMLHttpRequest();

  //get zahteva z specificiranim prog jezikom
  req.open("GET","/problems");

  //tokec csrf
  token = document.querySelector('meta[name="csrf-token"]').content;
  req.setRequestHeader('X-CSRF-TOKEN', token);

  // Defining event listener for readystatechange event
  req.onreadystatechange = function() {
        // Check if the request is compete and was successful
        if(this.readyState === 4 && this.status === 200) {
            // Inserting the response from server into an HTML element
            problemi=JSON.parse(this.responseText);
            //console.log(problemi);
            
          }
        };
        req.send();
      }



///////////////////////////////UPDATE PROBLEM



function posodobiProblem(){

	inUpdate = true;

	var tezavnost = document.getElementById("tezavnost").value;

	var problem;

	problem = '{"tezavnostProblema":"'+tezavnost+'"';
	
	

	var n = 0;

	for(i=0 ; i<=numP ; i++){
		var progJ = document.getElementById("jezikProg"+i);
		
		if(progJ!==null){
			problem += ",";
			var progJ = progJ.value;
			var kodaHead = document.getElementById("kodaHead"+i).value;
			var kodaBody = document.getElementById("kodaBody"+i).value;
			var kodaTail = document.getElementById("kodaTail"+i).value;
			var id = document.getElementById("thePid"+i).innerHTML;

			if(progJ === '' || kodaHead === '' || kodaBody === '' || kodaTail === ''){
				window.alert("Koda problema ni popolna!!");
				return ;
			}
			problem += '"problem'+n+'":'+'{"id":'+id+',"jezikProgramski":"'+progJ+'","kodaHead":"'+kodaHead+'","kodaBody":"'+kodaBody+'","kodaTail":"'+kodaTail+'"}';
			n++;
		}
	}

	
	n = 0;
	for(i=0 ; i<=numJ ; i++){
		var jezik = document.getElementById("jezik"+i);
		
		if(jezik !== null ){
			problem += ",";
			jezik = jezik.value;
			var naslov = document.getElementById("naslov"+i).value;
			var navodila = document.getElementById("navodila"+i).value;
			var id = document.getElementById("theJid"+i).innerHTML;

			if(jezik === '' || naslov === '' || navodila === ''){
				window.alert("Navodila niso vsa popolna");
				return ;
			}

			problem += '"jezik'+n+'":'+'{"id":'+id+',"jezikNavodil":"'+jezik+'","naslov":"'+naslov+'","navodila":"'+navodila+'"}';
			n++;
		}
	}
	problem += "}";

	problem = JSON.parse(problem);

	console.log(problem);

	var r = confirm("Pregledaj ponovno podatke!!!")

	if(r===true){
		updateProblem(problem);
	}


}



////////////////////////////ZBRISI PROBLEM

function zbrisiProblem(){
	var r = confirm("Zares zelis zbrisati problem?")

	if(r===true){
		deleteProblem(problemID);
	}
}





///////////////////////////CREATE PROBLEM

function shraniProblem(){

	var tezavnost = document.getElementById("tezavnost").value;


	if(tezavnost === "- - -"){
		window.alert("Zahtevnost problema ni popolna!!");
		return ;
	}


	var problem;

	problem = '{"tezavnostProblema":"'+tezavnost+'"';
	
	
	var n = 0;

	for(i=0 ; i<=numP ; i++){
		var progJ = document.getElementById("jezikProg"+i);
		
		if(progJ!==null){
			problem += ",";
			var progJ = progJ.value;
			var kodaHead = document.getElementById("kodaHead"+i).value;
			var kodaBody = document.getElementById("kodaBody"+i).value;
			var kodaTail = document.getElementById("kodaTail"+i).value;

			if(progJ === "- - -" || kodaHead === '' || kodaBody === '' || kodaTail === ''){
				window.alert("Koda problema ni popolna!!");
				return ;
			}
			problem += '"problem'+n+'":'+'{"jezikProgramski":"'+progJ+'","kodaHead":"'+kodaHead+'","kodaBody":"'+kodaBody+'","kodaTail":"'+kodaTail+'"}';
			n++;
		}
	}

	
	n = 0;
	for(i=0 ; i<=numJ ; i++){
		var jezik = document.getElementById("jezik"+i);
		
		if(jezik !== null ){
			problem += ",";
			jezik = jezik.value;
			var naslov = document.getElementById("naslov"+i).value;
			var navodila = document.getElementById("navodila"+i).value;

			if(jezik === "- - -" || naslov === '' || navodila === ''){
				window.alert("Navodila niso vsa popolna");
				return ;
			}

			problem += '"jezik'+n+'":'+'{"jezikNavodil":"'+jezik+'","naslov":"'+naslov+'","navodila":"'+navodila+'"}';
			n++;
		}
	}
	problem += "}";

	problem = JSON.parse(problem);

	console.log(problem);

	var r = confirm("Pregledaj ponovno podatke!!!")

	if(r===true){
		createProblem(problem);
	}


}


function create(){
	var r = confirm("Zelis ustvariti nov problem?")

	if(r===true){

		var c = document.getElementById('cont');
		c.innerHTML='';
		problemID = null;
		loadCreate();
	}
}


function loadCreate(update,myNumP,myNumJ){

	

	numP = 0;
	numJ = 0;
	problem = null;

	var c = document.getElementById('cont');
	var child = document.createElement("div");
	child.setAttribute("class","row");
	child.setAttribute("id","sRow");

	

	child.innerHTML = '<div class="col"><div class="form-group row"><label for="tezavnost" class="col-sm-6 col-form-label">Zahtevnost problema</label><select class="form-control col-sm-4" id="tezavnost" required><option>- - -</option><option>1</option><option>2</option><option>3</option><option>4</option><option>5</option></select></div></div>';

	c.appendChild(child);

	c.innerHTML = c.innerHTML+'<p id="progJezik">Dodaj programski jezik</p><p id="jezikNavodil">Dodaj jezik navodil</p><p id="shrani">Shrani</p>';


	if( update === true){

		c.innerHTML = c.innerHTML + '<p id="delete">Delete</p>';

		document.getElementById("shrani").addEventListener('click',posodobiProblem);

		document.getElementById("delete").addEventListener('click',zbrisiProblem);

		document.getElementById("tezavnost").value = tezavnostProblema;
	}else{
		document.getElementById("shrani").addEventListener('click',shraniProblem);
	}


	document.getElementById("progJezik").addEventListener('click',addProgJezik);

	document.getElementById("jezikNavodil").addEventListener('click',addNavodilJezik);
	
}


function addProgJezik(prob){

	var kodaHead="";
	var kodaBody="";
	var kodaTail="";
	var jezikProgramski="";
	var id="undf";

	var p = document.getElementById('jezikNavodil');
	var c = document.getElementById('cont');
	var child = document.createElement("div");
	child.setAttribute("class","row progJ");
	child.setAttribute("id","prog"+numP);

	if(prob.id !== undefined){
		id = prob["id"];
		kodaHead = prob.kodaHead;
		kodaBody = prob.kodaBody;
		kodaTail = prob.kodaTail;
		jezikProgramski = prob.jezikProgramski; 
	}

	child.innerHTML = '<div class="col"><div class="form-group row"><span id="thePid'+numP+'" class="hid">"'+id+'"</span><label for="jezikProg'+numP+'" class="col-sm-6 col-form-label">Programski jezik:</label><select class="form-control col-sm-4" id="jezikProg'+numP+'" required><option>- - -</option><option>java</option><option>c</option><option>python3</option></select></div><div class="form-group row"><label for="kodaHead'+numP+'">Koda Head</label><textarea class="form-control" id="kodaHead'+numP+'" rows="3">'+kodaHead+'</textarea></div><div class="form-group row"><label for="kodaBody'+numP+'">Koda Body</label><textarea class="form-control" id="kodaBody'+numP+'" rows="5">'+kodaBody+'</textarea></div><div class="form-group row"><label for="kodaTail'+numP+'">Koda Tail</label><textarea class="form-control" id="kodaTail'+numP+'" rows="3">'+kodaTail+'</textarea></div><button onclick="removeMe(prog'+numP+')">Remove</button></div>';
	
	c.insertBefore(child,p);

	if(prob.id !== undefined){
		//spremeni v pravilni prog jezik
		document.getElementById('jezikProg'+numP).value = jezikProgramski;
	}

	numP++;
}


function addNavodilJezik(navod){

	var jezikNavodil = "";
	var naslov = "";
	var navodila = "";
	var id = "undf";

	var p = document.getElementById('shrani');
	var c = document.getElementById('cont');
	var child = document.createElement("div");
	child.setAttribute("class","row progJ");
	child.setAttribute("id","jez"+numJ);

	if(navod.id !== undefined){
		id = navod.id;
		jezikNavodil = navod.jezikNavodil;
		naslov = navod.naslov;
		navodila = navod.navodila;
	}

	child.innerHTML = '<div class="col"><div class="form-group row"><span id="theJid'+numJ+'" class="hid">"'+id+'"</span><label for="jezik'+numJ+'" class="col-sm-6 col-form-label">Jezik navodil:</label><select class="form-control col-sm-4" id="jezik'+numJ+'" required><option>- - -</option><option>slo</option><option>ita</option><option>ang</option></select></div><div class="form-group row"><label for="naslov'+numJ+'" class="col-sm-4 col-form-label">Naslov problema</label><input type="text" class="form-control col-sm-8" id="naslov'+numJ+'" value="'+naslov+'" required></div><div class="form-group row"><label for="navodila'+numJ+'">Navodila</label><textarea class="form-control" id="navodila'+numJ+'" rows="8">'+navodila+'</textarea></div><button onclick="removeMe(jez'+numJ+')">Remove</button></div>';
	
	c.insertBefore(child,p);

	if(navod.id !== undefined){
		//spremeni v pravilni prog jezik
		document.getElementById('jezik'+numJ).value = jezikNavodil;
	}

	numJ++;
}


function removeMe(id){
	if(problemID !== null){
		window.alert("Remove is not working in update, you can only update the values -> use DB to remove.");
	}else{
		id.remove();
	}
}




///AJAX ZA USTVARIT PROBLEM
function createProblem(problem){

  var req= new XMLHttpRequest();

  //get zahteva z specificiranim prog jezikom
  req.open("POST","/problem");

  //tokec csrf
  token = document.querySelector('meta[name="csrf-token"]').content;
  req.setRequestHeader('X-CSRF-TOKEN', token);
  req.setRequestHeader("Content-Type", "json");
  req.setRequestHeader("processData", "false");

  // Defining event listener for readystatechange event
  req.onreadystatechange = function() {
        // Check if the request is compete and was successful
    if(this.readyState === 4 && this.status === 200) {
      // Inserting the response from server into an HTML element
      var result=JSON.parse(this.responseText);
      console.log(result);
      if(result['error']==="no error"){
      	var c = document.getElementById('cont');
		c.innerHTML='';
      	loadCreate();
      	window.alert("Problem inserted successfully");
      }else{
      	window.alert("Error during insertion");
      }

    }
  };
  //console.log(body);
  req.send(JSON.stringify(problem));

}



///AJAX ZA POSODOBITI PROBLEM
function updateProblem(problem){

  var req= new XMLHttpRequest();

  //get zahteva z specificiranim prog jezikom
  req.open("PUT","/problem/"+problemID);

  //tokec csrf
  token = document.querySelector('meta[name="csrf-token"]').content;
  req.setRequestHeader('X-CSRF-TOKEN', token);
  req.setRequestHeader("Content-Type", "json");
  req.setRequestHeader("processData", "false");

  // Defining event listener for readystatechange event
  req.onreadystatechange = function() {
        // Check if the request is compete and was successful
    if(this.readyState === 4 && this.status === 200) {
      // Inserting the response from server into an HTML element
      var result=JSON.parse(this.responseText);
      console.log(result);
      if(result['error']==="no error"){
      	var c = document.getElementById('cont');
		c.innerHTML='';
      	console.log("problem updated successfully");
      	list(true);
      }else{
      	window.alert("Error during insertion");
      }
      inUpdate = false;

    }
  };
  //console.log(body);
  req.send(JSON.stringify(problem));

}



///AJAX ZA ZBRISATI PROBLEM
function deleteProblem(problemID){

  var req= new XMLHttpRequest();

  //get zahteva z specificiranim prog jezikom
  req.open("DELETE","/problem/"+problemID);

  //tokec csrf
  token = document.querySelector('meta[name="csrf-token"]').content;
  req.setRequestHeader('X-CSRF-TOKEN', token);
  req.setRequestHeader("Content-Type", "json");
  req.setRequestHeader("processData", "false");

  // Defining event listener for readystatechange event
  req.onreadystatechange = function() {
        // Check if the request is compete and was successful
    if(this.readyState === 4  && this.status === 200) {
      // Inserting the response from server into an HTML element
      var result=JSON.parse(this.responseText);
      //console.log(result);
      if(result['deleted']==="true"){
      	console.log("problem deleted successfully");
      	list(true);
      }else{
      	window.alert("Can't delete the problem is used in a contest or problem meseca");
      }

    }
  };
  //console.log(body);
  req.send('{"pollo":"kek"}');

}