<!DOCTYPE html>
<html>
<head>
	<?php echo $__env->yieldContent('head'); ?>
	<link href="<?php echo e(asset('/css/bootstrap.min.css')); ?>" rel="stylesheet"> 
	<script src="<?php echo e(asset('js/bootstrap.min.js')); ?>"></script>
	<script src="/js/app.js"></script>
	<script src="/js/jquery-ui.js"></script>
	<link href="/css/solve.css" rel="stylesheet">
	<link href="/css/navodila.css" rel="stylesheet">
	<link href="/css/loginregister.css" rel="stylesheet">
	<link href="/css/footer.css" rel="stylesheet">
	<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
	<script src="/codemirror/lib/codemirror.js"></script>
	<link rel="stylesheet" href="/codemirror/lib/codemirror.css">
	<script src="/codemirror/mode/javascript/javascript.js"></script>
	<link href="/css/contest.css" rel="stylesheet">
	<title>X-coding</title>
</head>
<body>
	

	<!-- start nav bar -->
<nav class="navbar  nav-dark bg-dark">
		<?php if(session()->has('dijak_id')): ?>
		<form action="/logout" id="log" method="get">
	      	<button class="btn btn-outline-secondary" type="submit">Logout</button>
	    </form>
	    <?php else: ?>
		<form action="/loginregister" id="log" method="get">
	      	<button class="btn btn-outline-secondary" type="submit">Login/Register</button>
	    </form>
	    <?php endif; ?>
	    <?php if(session()->has('dijak_id')): ?>
		<ul  class="nobull">
	 		<li >
	      		
	  			  	<a ><span  class="pisava">Pozdravljen:  </span><span class="username"><?php echo e(Session::get('username')); ?></span></a>
	  			
	    	</li>
	    	
	    		<?php if(request()->path()=='nastavitve'): ?>
	    		<li>
	    			<a href="/begin" class="pisava right">Nazaj</a>
	    		</li>	
				<?php elseif(request()->path()!='solveView'): ?>
				<li>
					<a href="/nastavitve" class="pisava right">Nastavitve</a>
				</li>
				<?php endif; ?>
				<!-- <?php if(request()->path()=='solveView'): ?>  //nevem ce je pametno
	    		<li>
	    			<a href="/begin" class="pisava right">Navodila</a>
	    		</li>	
				<?php endif; ?> -->
		      
		    
		    </ul>	
		<?php endif; ?>
</nav>
	<!-- end nav bar -->


	<?php echo $__env->yieldContent('content1'); ?>
	<?php echo $__env->yieldContent('content2'); ?>
	<?php echo $__env->yieldContent('content3'); ?>


<?php if(request()->path()=='/' || request()->path()=='begin' || request()->path()=='nastavitve'): ?>
<div class="footer bg-dark">
	<div class="row">
	  	<div class="column">
	  		<h6>Tehniški zavod Jurij Vega</h6>
	  		<p>Ulica Puccini, 14 - 34170 - Gorica - Tel.: (+39) 0481 530021</p>
	 	</div>
	 	 <div class="column">
	  		<h6>Razvojni team</h6>
	  		<p>Niki Hrovatin, Kevin Sedevcic</p>
	 	</div>
	 	<div class="column">
	  		<h6>Kontakt</h6>
	  		<p>e-mail: Xcoding.staff@gmail.com</p>
	 	</div>
	</div>
</div> 
<?php endif; ?>
</body>
</html><?php /**PATH /home/niki/Desktop/xcoding/WebApp/x-coding/resources/views/layout.blade.php ENDPATH**/ ?>