document.addEventListener('DOMContentLoaded',setup)

//globalna spremenljivka, ki vsebuje vse probleme
var problemi;

//oznaci katero vajo gledamo -> default vaja 1
var vaja=1;


//postavi poslusalce
function setup(){

	var zavihki = document.getElementsByClassName("vaja");

	for(var i = 0; i < zavihki.length ;i++){
		zavihki[i].addEventListener("click",zamenjajVajo);
	}

	var lang = document.getElementsByClassName("lang");

	for(var i = 0; i < zavihki.length ;i++){
		if(lang[i]!==undefined){
			lang[i].addEventListener("click",zamenjajJezik);
		}
	}

	document.getElementById("mySubmit").addEventListener("click",submit);;

	countdown();

  //ajax poizvedba za iskanje problemov ter jih prikaze 
  ajaxGetProblems();
}

//zamenja vrednost vaja in prikaze drugi problem
function zamenjajVajo(){
	vaja=this.value;
  setProblemi();
} 

function zamenjajJezik(){
	console.log(this.innerHTML );
}

function submit(){
	console.log(this.innerHTML );
}



function countdown(){

//countdown 1 ura!!
var h = 1;
/********Countddown timer**********/
var yourDateToGo = new Date(); //here you're making new Date object
											//tukaj lahko spreminjas čas 
    yourDateToGo.setTime(yourDateToGo.getTime() + (h*60*60*1000)); //your're setting date in this object 1 day more from now
    //you can change number of days to go by putting any number in place of 1

    var timing = setInterval( // you're making an interval - a thing, that is updating content after number of miliseconds, that you're writing after comma as second parameter
      function () {

        var currentDate = new Date().getTime(); //same thing as above
        var timeLeft = yourDateToGo - currentDate; //difference between time you set and now in miliseconds

        var days = Math.floor(timeLeft / (1000 * 60 * 60 * 24)); //conversion miliseconds on days 
        if (days < 10) days="0"+days; //if number of days is below 10, programm is writing "0" before 9, that's why you see "09" instead of "9"
        var hours = Math.floor((timeLeft % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)); //conversion miliseconds on hours
        if (hours < 10) hours="0"+hours;
        var minutes = Math.floor((timeLeft % (1000 * 60 * 60)) / (1000 * 60)); //conversion miliseconds on minutes 
        if (minutes < 10) minutes="0"+minutes;
        var seconds = Math.floor((timeLeft % (1000 * 60)) / 1000);//conversion miliseconds on seconds
        if (seconds < 10) seconds="0"+seconds;

        document.getElementById("myCountdown").innerHTML = hours + "h " + minutes + "m " + seconds + "s"; // putting number of days, hours, minutes and seconds in div, 
        //which id is countdown

        if (timeLeft <= 0) {
          clearInterval(timing);
          document.getElementById("myCountdown").innerHTML = "It's over"; //if there's no time left, programm in this 2 lines is clearing interval (nothing is counting now) 
          //and you see "It's over" instead of time left
        }
      }, 1000);

}


//funkcije za nastavljanje problemov

function setProblemi(){
  var naslov = document.getElementById("naslovVaje");
  var navodilo = document.getElementById("myScroll");
  var koda = document.getElementById("textArea");

  naslov.innerHTML = problemi[vaja-1].naslov;
  navodilo.innerHTML = problemi[vaja-1].navodila;
  koda.innerHTML = problemi[vaja-1].koda;
}





//AJAXXXX ->


//ajax poizvedba za dobiti vse probleme na podlagi contest id.
function ajaxGetProblems(){
  var req= new XMLHttpRequest();

  req.open("GET","/solve/1");

  // Defining event listener for readystatechange event
    req.onreadystatechange = function() {
        // Check if the request is compete and was successful
        if(this.readyState === 4 && this.status === 200) {
            // Inserting the response from server into an HTML element
            problemi=JSON.parse(this.responseText);
            setProblemi();
        }
    };

    // Sending the request to the server
    req.send();
}


