import java.io.*;
import java.math.*;
import java.security.*;
import java.text.*;
import java.util.*;
import java.util.concurrent.*;
import java.util.regex.*;
import java.lang.*;

public class Counting{


    /*          DEFINIRAJ COMPARE FUNKCIJO ZA PRIMERJAT REZULTATE       */
    public static boolean my_compare(int a, int b){

        if(a == b){
            return true;
        }
        return false;
    }


    public static void main(String args[]){  

        //za povrnitev rezultatov testov: passed failed exception
        String[] testResult = new String[5];
        testResult[0] = "";
        testResult[1] = "";
        testResult[2] = "";
        testResult[3] = "";
        testResult[4] = "";

        //za povrnitev stevilo opravljenih testov
        int nTest=0;
        //presetttt
        int nPrimary=0;


        /*     VSTAVI INPUT TEST CASE      */
        int[] arg1_C = new int[5];
        String[] arg2_C = new String[5];
        int[] res_C = new int[5];


        //TestCase input   --- TESTCASE 1
        arg1_C[0] = 8;
        arg2_C[0] = "UDDDUDUU"; 
        res_C[0] = 1;

        //TestCase input   --- TESTCASE 2
        arg1_C[1] = 32;
        arg2_C[1] = "UDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUU";   
        res_C[1] = 4;

        //TestCase input   --- TESTCASE 3
        arg1_C[2] = 28;
        arg2_C[2] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU";
        res_C[2] = 3;

        //TestCase input   --- TESTCASE 4
        arg1_C[3] = 28;
        arg2_C[3] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU"; 
        res_C[3] = 3;
        
        //TestCase input   --- TESTCASE 5
        arg1_C[4] = 28; 
        arg2_C[4] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU";  
        res_C[4] = 3;



        /*      VSTAVI MAKSIMALEN CAS IZVAJANJA PRIMARY TESTOV         */
        //CAS - tukaj definiras maksimalen cas izvajanja posameznega PRIMARY testa v milisekundah 
        long[] timeP = new long[5];
        timeP[0] = 1000;
        timeP[1] = 1000;
        timeP[2] = 1000;
        timeP[3] = 1000;
        timeP[4] = 1000;


        /*      VSTAVI INPUT PRIMARY TESTOV         */
        int[] arg1_P = new int[5];
        String[] arg2_P = new String[5];
        int[] res_P = new int[5];


        //TestCase input   --- PRIMARY 1
        arg1_P[0] = 8;
        arg2_P[0] = "UDDDUDUU"; 
        res_P[0] = 1;

        //TestCase input   --- PRIMARY 2
        arg1_P[1] = 32;
        arg2_P[1] = "UDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUUUDDDUDUU";   
        res_P[1] = 4;

        //TestCase input   --- PRIMARY 3
        arg1_P[2] = 28;
        arg2_P[2] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU"; 
        res_P[2] = 3;

        //TestCase input   --- PRIMARY 4
        arg1_P[3] = 28;
        arg2_P[3] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU";
        res_P[3] = 3;

        //TestCase input   --- PRIMARY 5
        arg1_P[4] = 28; 
        arg2_P[4] = "UUDDUUDDUUDDDDDDUUUUDDUUDDUU";  
        res_P[4] = 3;


        /*      DEFINIRAJ TIP IZHODNEGA PODATKA         */
        //definicija tipa resultata klica funkcije
        int res;

        ///////////////////////////////TestCase 
        for(int i = 0; i < 5 ; i++){

            try {

                res = countingValleys(arg1_C[i],arg2_C[i]);  

                if(my_compare(res,res_C[i])){
                    testResult[i]+="passed";
                    nTest++;
                }else{
                    testResult[i]+="failed";
                }
        //  Block of code to try
            }catch(ArithmeticException e) {
                testResult[i]+="ArithmeticException";
            }catch(ArrayStoreException e) {
                testResult[i]+="ArrayStoreException";
            }catch(IllegalArgumentException e) {
                testResult[i]+="IllegalArgumentException";
            }catch(IllegalStateException e) {
                testResult[i]+="IllegalStateException";
            }catch(NegativeArraySizeException e) {
                testResult[i]+="NegativeArraySizeException";
            }catch(NullPointerException e) {
                testResult[i]+="NullPointerException";
            }catch(UnsupportedOperationException e) {
                testResult[i]+="UnsupportedOperationException";
            }catch(IndexOutOfBoundsException e) {
                testResult[i]+="IndexOutOfBounds";
            }catch(Exception e) {
        //  Block of code to handle errors
                testResult[i]="Exception";
            }
        }


        ///////////////////////////////PRIMARY 
        for(int i = 0; i < 5 ; i++){
            
            try {


                long currentTime = System.currentTimeMillis();

                res = countingValleys(arg1_P[i],arg2_P[i]);  

                long execTime = System.currentTimeMillis() - currentTime;

                if(my_compare(res,res_P[i]) && execTime <= timeP[i]){
                    nPrimary++;
                }
        //  Block of code to try
            }catch(Exception e) {
            }
        }


        System.out.print("\"test1\":"+"\""+testResult[0]+"\",\"test2\":"+"\""+testResult[1]+"\",\"test3\":"+"\""+testResult[2]+"\",\"test4\":"+"\""+testResult[3]+"\",\"test5\":"+"\""+testResult[4]+"\",\"testCase\":"+"\""+nTest+"\",\"primary\":"+"\""+nPrimary+"\"");

    }   


    public static int countingValleys(int n, String s) {

       
        //solutionnnn
        boolean valley = false;
        int i = 0;
        int j = 0;
        int numValley = 0;

        while(j < n){
            if(s.charAt(j) == 'D'){
                if(i==0){
                    valley=true;
                }
                i--;
            }else{
                if(i==0){
                    valley=false;
                }
                i++;
            }
            if(i==0 && valley){
                numValley++;
            }
            j++;
        }
        return numValley;

    }
}

