<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;


class Contest extends Model
{	
	protected $table = "contest";
    protected $fillable = ['ime','zacetek','trajanje'];
    protected $dates = ['zacetek'];
    //

    public function Problem()
    {
        return $this->belongsToMany('App\Problem')
        ->withPivot('vrstniRed');
    }
    public function Izvedba()
    {
        return $this->hasMany('App\Izvedba');
    }
    public function Rezultat()
    {
        return $this->hasMany('App\Rezultat');
    }
    public function Dovoljenje()
    {
        return $this->hasMany('App\Dovoljenje');
    }
    
}
