<?php

namespace App\Http\Middleware;

use Closure;
use App\Contest;
use App\Izvedba;
use Carbon\Carbon;
use App\ActivatedContest;
use Session;

use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Redirect;

class LoggedIn
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        
        //pogledamo ali je dijak loginan? ->obstaja session
        //drugače redirect

        if($request->session()->exists('dijak_id')){
            return $next($request);
        }else{
            return Redirect::to('/loginregister')
                        ->withErrors(['Not logged in']);
        }


        
    }
}
