<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Problem extends Model
{
	protected $table = "problem";
    //

    protected $fillable = ['tezavnostProblema'];

    public function Contest()
    {
        return $this->belongsToMany('App\Contest')
        ->withPivot('vrstniRed');
    }

    public function JezikNavodil()
    {
    	return $this->hasMany('App\JezikNavodil');
    }
    public function Koda()
    {
    	return $this->hasMany('App\Koda');
    }
    public function Rezultat()
    {
        return $this->hasMany('App\Rezultat');
    }
    public function ProblemMeseca()
    {
        return $this->hasMany('App\ProblemMeseca');
    }

}
