<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Rezultat extends Model
{
    //
    protected $fillable = ['numPrimaryTestPassed','numTestCasePassed','jezikProg','koda','output','casIzvajanja','tocke','stTestiranj','problem_id','dijak_id','contest_id'];
    protected $table = "rezultat";

    public function dijak()
    {
        return $this->belongsTo('App\dijak');
    }
    public function Problem()
    {
        return $this->belongsTo('App\Problem');
    }
    public function Contest()
    {
        return $this->belongsTo('App\Contest');
    }

}
