<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\dijak as Authenticatable;
use App\dijak;

class dijak extends Model
{
    protected $table = "dijaki";
    protected $fillable = ['email_token'];
    protected $hidden = [
        'password'
    ];

    public function Sola()
    {
        return $this->belongsTo('App\Sola');
    }
    public function Rezultat()
    {
    	return $this->hasMany('App\Rezultat');
    }
    public function Izvedba()
    {
        return $this->hasMany('App\Izvedba');
    }
    public function ProblemMeseca()
    {
        return $this->hasMany('App\ProblemMeseca');
    }

}
