<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use App\dijak;
use App\Contest;

class CreateIzvedbaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('izvedba', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->timestamps();
            $table->dateTime('zacetek')->nullable();
            $table->bigInteger('dijak_id')->unsigned();
            $table->foreign('dijak_id')->references('id')->on('dijaki');
            $table->bigInteger('contest_id')->unsigned();
            $table->foreign('contest_id')->references('id')->on('contest');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('izvedba');
    }
}
