document.addEventListener('DOMContentLoaded',setup);


//globalna spremenljivka, ki vsebuje vse probleme
var problemi;

//oznaci katero vajo gledamo -> default vaja 0 (prva vaja)
var vaja=0;


//moj text Editor CODEMIRROR
var myCodeMirror;
var visina = 200;

/******************************///DOMContentLoaded 

//postavi poslusalce
function setup(){

  var myTextArea = document.getElementById("textArea");

  //code mirror object options:

  var options = { lineNumbers:true ,mimeMode:"text/x-java"};

  myCodeMirror = CodeMirror.fromTextArea(myTextArea,options);
  //nastavimo height
  myCodeMirror.setSize(null,visina);

	var zavihki = document.getElementsByClassName("vaja");

	for(var i = 0; i < zavihki.length ;i++){
		zavihki[i].addEventListener("click",zamenjajVajo);
	}

	var lang = document.getElementsByClassName("lang");

	for(var i = 0; i < zavihki.length ;i++){
		if(lang[i]!==undefined){
			lang[i].addEventListener("click",zamenjajJezik);
		}
	}

	document.getElementById("mySubmit").addEventListener("click",submitPrevent);


  //ajax poizvedba za iskanje problemov ter jih prikaze 
  ajaxGetProblems();


//uprasa za izhoid iz strani
  window.onbeforeunload = function() {
      return "Removed custom messages";
  };

  document.getElementById("plus").addEventListener("click",bigger);
  document.getElementById("minus").addEventListener("click",smaller);

}

//prevent default button behaviour -> SUBMIT
function submitPrevent(event){
  event.preventDefault();
  submit();
}



/////////////////////////////////resizable Codemirrrorrrrr
function bigger(){
  if(visina < 1000){
    visina += 100;
  }
    //nastavimo height
  myCodeMirror.setSize(null,visina);
}

function smaller(){
  if(visina > 200){
    visina -= 100;
  }
    //nastavimo height
  myCodeMirror.setSize(null,visina);
}


/********************************///event listener funkcije

//zamenja vrednost vaja in prikaze drugi problem
function zamenjajVajo(){
  //preveri ali vaja obstaja
  if(problemi[this.value]!==undefined){

    saveKoda();//resi vsebino textArea pred menjavo vaje v spr problemi, da se ne izgubi
    vaja=this.value;
    setProblemi();//zamenja prikazan problem
  }
} 

//Omogoci zamenjavo prog jezika pri tem vprasa potrditev, ter ce se izbere enaki jezik lahko resetiras kodo na zacetno stanje
function zamenjajJezik(){

      if(problemi[vaja].jezikProgramski === this.id ){
          var message = "Zelis resetirat kodo na zacetno stanje?";
      }else{
        var message = "Spremembe na kodi bodo izgubljene!!!";
      }
      if (confirm(message) == true) {
         //deluje na podlagi id
         ajaxGetProblem(problemi[vaja].id,this.id);
       } 
}

//odstrani event listener da ne clikamo veckrat
//menja ime gumba
//ter poslje kodo za obdelavo, ko rezultat je povrnjen se klicde funkcija testCaseResult, ki ponovno doda event listener in spremeni gumb
function submit(){
  var button = document.getElementById("mySubmit");

  button.removeEventListener("click", submitPrevent);

  button.className = "btn btn-outline-danger active";
  button.innerHTML = "Waiting <div class=\"spinner\"></div>"; 
  saveKoda();
  ajaxSubmit();
}


/**********************************//////////////////countdown JS

function countdown(time){


//countdown 1 ura!!

var h = time.substring(0,2);
var m = time.substring(3,5);
var s = time.substring(6,8); 


var box = document.getElementById("theContainer");

//console.log("h:"+h+" m:"+m+" s:"+s);
/********Countddown timer**********/
var yourDateToGo = new Date(); //here you're making new Date object
											//tukaj lahko spreminjas čas 
    yourDateToGo.setTime(yourDateToGo.getTime() + (h*60*60*1000)+(m*60*1000)+(s*1000)); //your're setting date in this object 1 day more from now
    //you can change number of days to go by putting any number in place of 1

    var timing = setInterval( // you're making an interval - a thing, that is updating content after number of miliseconds, that you're writing after comma as second parameter
      function () {

        var currentDate = new Date().getTime(); //same thing as above
        var timeLeft = yourDateToGo - currentDate; //difference between time you set and now in miliseconds

        var days = Math.floor(timeLeft / (1000 * 60 * 60 * 24)); //conversion miliseconds on days 
        if (days < 10) days="0"+days; //if number of days is below 10, programm is writing "0" before 9, that's why you see "09" instead of "9"
        var hours = Math.floor((timeLeft % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)); //conversion miliseconds on hours
        if (hours < 10) hours="0"+hours;
        var minutes = Math.floor((timeLeft % (1000 * 60 * 60)) / (1000 * 60)); //conversion miliseconds on minutes 
        if (minutes < 10) minutes="0"+minutes;
        var seconds = Math.floor((timeLeft % (1000 * 60)) / 1000);//conversion miliseconds on seconds
        if (seconds < 10) seconds="0"+seconds;

        document.getElementById("myCountdown").innerHTML = hours + "h " + minutes + "m " + seconds + "s"; // putting number of days, hours, minutes and seconds in div, 
        //which id is countdown
        //console.log(timeLeft);



        if(timeLeft<=300000 && timeLeft>60000 && box.className != "container my-container shaddO"){
          box.className = "container my-container shaddO";
        }else if(timeLeft<=60000 && box.className != "container my-container shadd-glowR"){
          box.className = "container my-container shadd-glowR";
        }


        if (timeLeft <= 0) {
          window.onbeforeunload = null;
          clearInterval(timing);
          document.getElementById("myCountdown").innerHTML = "It's over"; //if there's no time left, programm in this 2 lines is clearing interval (nothing is counting now) 
          //and you see "It's over" instead of time left
          //zamenjaj z xcoding
          location.replace("https://www.w3schools.com");
        }
      }, 1000);

  }


/************************************/////funkcije za nastavljanje problemov

//zamenja problem prikazan
function setProblemi(){
  var naslov = document.getElementById("naslovVaje");
  var navodilo = document.getElementById("myScroll");
  var testCase = document.getElementById("testCase");
  var lang = document.getElementById("lang");

  naslov.innerHTML = problemi[vaja].naslov;
  navodilo.innerHTML = problemi[vaja].navodila;
  myCodeMirror.setValue(problemi[vaja].kodaBody);
  lang.innerHTML = problemi[vaja].jezikProgramski;

  //zacetni test case, ko nismo se izvedli nobenega testa je predefiniran text
  if(problemi[vaja].testCase === undefined){
    testCase.innerHTML = "Na razpolago imas 5 testiranj";
  }else{
    testCase.innerHTML = problemi[vaja].testCase; 
  }

}

//resi kodo napisano v textArea da lahko zamenjamo problem
function saveKoda(){
  problemi[vaja].kodaBody = myCodeMirror.getValue();
}


//spremeni kodo nekega problema
function setKoda(problem){
  problemi[vaja].jezikProgramski=problem.jezikProgramski;
  problemi[vaja].kodaBody=problem.kodaBody;
  refreshKoda();
}


//nastavi oznacenje kode z codeMirror
function setLangCM(problem){
  //zamenjaj tudi jezik na Code Mirror
  var jezik = problem.jezikProgramski;
  if(jezik === "java"){
    jezik = "text/x-java";
  }else if(jezik === "python3"){
    jezik = "text/x-python";
  }else if(jezik === "c"){
    jezik = "text/x-csrc";
  }
  myCodeMirror.setOption("mimeMode", jezik);
}

//ponovno nalozi kodo v textArea !!pazi da se ne zbrise tisto kar je vtipkal
function refreshKoda(){
  var lang = document.getElementById("lang");
  lang.innerHTML = problemi[vaja].jezikProgramski;
  myCodeMirror.setValue(problemi[vaja].kodaBody);
}


//funkcija, ki se izvede po submit reaktivira gumb Submit in postavi rezultat testCasa
function testCaseResult(result){

  //ce je prisoten error prikazi samo error
  //drugace pa zgeneriraj p in prikazijih

  var test1 = checkMark(result.test1);
  var test2 = checkMark(result.test2);
  var test3 = checkMark(result.test3);
  var test4 = checkMark(result.test4);
  var test5 = checkMark(result.test5);

  if(result.error != null){
    if(result.error === "MAX"){
      var response = '<span class="red" >&#33;</span><span class="red" >&#33;</span>Maksimalno stevilo testiranj dosezeno<span class="red" >&#33;</span><span class="red" >&#33;</span>';
    }else{
    var response = "<h6 class=\"red\"><bold>Sintakticna napaka:</bold></h6><p>"+result.error+"</p><hr><p>Stevilo testiranj na razpolago: "+(5-result.stTestiranj)+"</p>";
    }
  }else{
    var response = "<h6>Test #:</h6><ol><li>"+test1+"</li><li>"+test2+"</li><li>"+test3+"</li><li>"+test4+"</li><li>"+test5+"</li></ol><hr><p>Stevilo testiranj na razpolago: "+(5-result.stTestiranj)+"</p>";
  }
  //nastavitev podatkov o test case
  problemi[vaja].testCase = response;
  
  document.getElementById("testCase").innerHTML=response;


//ponovna aktivacija gumba
  var button = document.getElementById("mySubmit");
  button.className = "btn btn-outline-danger"; 
  button.innerHTML = "Submit"; 

  button.addEventListener("click",submitPrevent);

}

function checkMark(res){

  //console.log(res);

  if(res === "passed"){
    res+='<span class="green" >&#10004;</span>';
    //console.log(res);
  }else if(res === "failed"){
    res+='<span class="red" >&#10007;</span>';
  }else{
    res='<span class="orange" >&#33;</span>'+'<span class="orange" >&#33;</span>'+res+'<span class="orange" >&#33;</span>'+'<span class="orange" >&#33;</span>';
  }

  return res;

}


function setStVaj(problemi){

  stVaj = Object.keys(problemi).length;

  for(i = stVaj; i <= 5; i++) {
    
    element = document.getElementById("vaja"+i+"-tab");
    element.setAttribute("class","nav-item vaja hidden");

  }
}



/******************************************///AJAXXXX ->


//ajax poizvedba za dobiti vse probleme na podlagi contest id.
function ajaxGetProblems(){
  var req= new XMLHttpRequest();

  //get zahteva z specificiranim prog jezikom
  req.open("GET","/solve");

  //tokec csrf
  token = document.querySelector('meta[name="csrf-token"]').content;
  req.setRequestHeader('X-CSRF-TOKEN', token);

  // Defining event listener for readystatechange event
  req.onreadystatechange = function() {
        // Check if the request is compete and was successful
        if(this.readyState === 4 && this.status === 200) {
            // Inserting the response from server into an HTML element
            problemi=JSON.parse(this.responseText);
            console.log(problemi);
            setStVaj(problemi);//nastavi stevilo vaj
            setProblemi(); //klici nastavitev problemov
            countdown(problemi['trajanje']);
          }
        };
        req.send();
  }


  //ajax poizvedba za zamenjati jezik problema
  function ajaxGetProblem(problemId,progJezik){
    var req= new XMLHttpRequest();

  //get zahteva z specificiranim prog jezikom
  req.open("GET","/solve/"+problemId+"/"+progJezik);

  //tokec csrf
  token = document.querySelector('meta[name="csrf-token"]').content;
  req.setRequestHeader('X-CSRF-TOKEN', token);

  // Defining event listener for readystatechange event
  req.onreadystatechange = function() {
        // Check if the request is compete and was successful
        if(this.readyState === 4 && this.status === 200) {
            // Inserting the response from server into an HTML element
            var problem=JSON.parse(this.responseText);
            //console.log(problem);
            setLangCM(problem);
            setKoda(problem);
          }
        };

        req.send();
      }


function ajaxSubmit(){

  console.log("submit");
  var req= new XMLHttpRequest();

  //get zahteva z specificiranim prog jezikom
  req.open("POST","/solve");

  //tokec csrf
  token = document.querySelector('meta[name="csrf-token"]').content;
  req.setRequestHeader('X-CSRF-TOKEN', token);
  req.setRequestHeader("Content-Type", "application/json;charset=UTF-8");

  // Defining event listener for readystatechange event
  req.onreadystatechange = function() {
        // Check if the request is compete and was successful
    if(this.readyState === 4 && this.status === 200) {
      // Inserting the response from server into an HTML element
      var result=JSON.parse(this.responseText);
      console.log(result);
      testCaseResult(result);
    }
  };
  //console.log(problemi[vaja]);
  var body = problemi[vaja];
  //console.log(body);
  req.send(JSON.stringify(body));
}




