@extends('layout')

@section('title')
X-Coding
@endsection
   
@section('head')
@endsection

@section('content1')
@if(Session::has('arraypassword'))
	<?php $arraypassword = Session::get('arraypassword') ?>
            @foreach ($arraypassword as $pass)
                <li>{{ $pass }}</li>
            @endforeach
@endif

@if(session()->has('message'))
    <div class="alert alert-success">
        {{ session()->get('message') }}
    </div>
@endif

@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

<div id="tabi" class="my-logincontainer centriraj">

	<ul class = "nav nav-tabs" role = "tablist">
        <li class = "nav-item">
        	<a class = "nav-link active"data-toggle = "tab" 
            role = "tab" href="#form-login" 
            aria-selected = "true">Login</a>
        </li>
        <li class = "nav-item">
	        <a class = "nav-link" data-toggle = "tab" 
            role = "tab" href="#form-register"
            aria-selected = "false">Register</a>
        </li>
        <li class = "nav-item hidden-item">
	        <a class = "nav-link" data-toggle = "tab" 
            role = "tab" href="#form-reset"
            aria-selected = "false">Forgot password?</a>
        </li>
	</ul>

	<form method="POST" id="form-login" action="/login">
		{{ csrf_field() }}
		<input class="new-form" type="email" name="email" placeholder="email">
		<input class="new-form" type="password" name="password" placeholder="password">
		<div>  	
		<!-- <a class="new-forgot" href="/reset">Forgot password?</a>	-->
	    <input class="btn btn-primary new-submit" type="submit" value="Submit">
		</div>
	</form>

	<form  method="POST" action="/register" id="form-register">
		{{ csrf_field() }}
		<input class="new-form" type="text" name="name" placeholder="name">
		<input class="new-form" type="text" name="surname" placeholder="surname">
		<input class="new-form" type="text" name="username" placeholder="username">
	
		<input class="new-form" type="email" name="email" placeholder="email">
		<input class="new-form" type="password" name="password" placeholder="password">
		<input class="new-form" type="password" name="password_confirmation" placeholder="confirm password">

	    <div class="new-inline-component">
	    <input class="new-school-code" type="text" name="school-code" placeholder="school-code">
		<select class="form-control new-school-class" name="school-class" >
			<option value="" disabled selected>Class</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
	    </select>
	    </div>	
	    <input class="btn btn-primary new-submit" type="submit" value="Submit">
	</form>

	<form  action="/reset" id="form-reset">
				{{ csrf_field() }}
		<input class="new-form" type="email" name="email" placeholder="email">
	    <input class="btn btn-primary new-submit" type="submit" value="Submit">
	</form>
</div>

<script>
	$("#tabi").tabs({
	    activate: function (event, ui) {
	        var active = $('#tabi').tabs('option', 'active');
	    }
	}
	);
</script>
@endsection
