@extends('layout')



@section('title')
X-Coding
@endsection


@section('content1')

<link href="/css/problem.css" rel="stylesheet">
<script src="/js/problem.js"></script>


<div class="container pContainer">
	<div id="pRow" class="row">
		<div id="pCol" class="col">
			<ul class="nav nav-tabs" role="tablist">
				<li class="nav-item" id="list">
					<a class="nav-link active" href="#" role="tab" data-toggle="tab" aria-selected="true">List Problems</a>
				</li>
				<li class="nav-item" id="create">
					<a class="nav-link" href="#" role="tab" data-toggle="tab" aria-selected="true">Create Problem</a>
				</li>
				
			</ul>
		</div>
	</div>
	<div id="cont">
		@if(isset($problems))

			<table class="table">
  				<thead>
    				<tr>
      					<th scope="col">ID</th>
      					<th scope="col">Naslov problema (slo)</th>
      					<th scope="col">Zahtevnost problema (1-5)</th>
      					<th scope="col">Spremeni</th>
    				</tr>
    			</thead>
    			<tbody>
			@foreach ($problems as $problem)
			<tr>
				<td>
					{{ $problem->id }} 
				</td>
				<td>
					{{ $problem->naslov }}
				</td>
				<td>
					{{ $problem->tezavnostProblema }}
				</td>
				<td>
					<a href="/problem/{{ $problem->id }}"+ >Spremeni</a>
				</td>
    		</tr>

			@endforeach

				</tbody>
			</table>

		@endif

		@if(isset($prog))
		<script>
			var prog = <?php echo $prog ?>;
			var navod = <?php echo $navod ?>;
			var tezavnostProblema = <?php echo $tezavnostProblema ?>;
			var problemID = <?php echo $problemID ?>;
		</script>
		@endif
	</div>
</div>



@endsection

