@extends('layout')



@section('title')
X-Coding
@endsection


@section('content1')

<link href="/css/sola.css" rel="stylesheet">


<div class="container  pContainer">
	<div id="pRow" class="row">
		<div id="pCol" class="col">
			<ul class="nav nav-tabs" >
				<li class="nav-item" id="listSola">
					<a class="nav-link @if(isset($sole)) echo active @endif" href="/sola" role="tab" aria-selected="true">Seznam sol</a>
				</li>
				<li class="nav-item" id="createSola">
					<a class="nav-link @if(isset($ustvari)) active @endif" href="/createSola" role="tab"  aria-selected="true">Dodaj solo</a>
				</li>
				
			</ul>
		</div>
	</div>
	<div id="contSola">
		@if(isset($sole))
		<table class="table">
  				<thead>
    				<tr>
      					<th scope="col">Id</th>
      					<th scope="col">Naziv sole</th>
      					<th scope="col">Koda sole</th>
      					<th scope="col">Spremeni</th>
    				</tr>
    			</thead>
    			<tbody>
			@foreach ($sole as $sola)

			<tr>
				<td>
					{{ $sola->id }}
				</td>
				<td>
					{{ $sola->nazivSole }}
				</td>
				<td>
					 {{ $sola->kodaSole }}
				</td>
				<td>
					<a href="/sola/{{ $sola->id }}"+ >Spremeni</a>
				</td>
			</tr>
			@endforeach

			</tbody>
			</table>
		@endif

		@if(isset($ustvari))
		<form method="POST" action="/sola">
			@csrf
			<br><label for="nazivSole">Naziv sole:</label><br>
			<input type="text" name="nazivSole" id="nazivSole" required placeholder="nazivSole">
			<br><label for="kodaSole">Koda sole:</label><br>
			<input type="text" name="kodaSole" id="kodaSole" required placeholder="kodaSole">
			<br><label for="email">e-mail:</label><br>
			<input type="email" name="email" id="email" placeholder="@" required>
			<br><label for="telefon">Telefon:</label><br>
			<input type="tel" name="telefon" id="telefon" required>

			<br><br><input type="submit" value=Shrani>

		</form>
		@endif

		@if(isset($prikaziSolo))
		<form method="POST" action="/sola/{{$prikaziSolo->id}}">
			@csrf
			<input name="_method" type="hidden" value="PUT">
			<br><label for="nazivSole">Naziv sole:</label><br>
			<input type="text" name="nazivSole" id="nazivSole" required value="{{$prikaziSolo->nazivSole}}">
			<br><label for="kodaSole">Koda sole:</label><br>
			<input type="text" name="kodaSole" id="kodaSole" required value="{{$prikaziSolo->kodaSole}}">
			<br><label for="email">e-mail:</label><br>
			<input type="email" name="email" id="email" value="{{$prikaziSolo->email}}" required>
			<br><label for="telefon">Telefon:</label><br>
			<input type="tel" name="telefon" id="telefon"  value="{{$prikaziSolo->telefon}}" required>


			<br><br><input type="submit" value=Update>

		</form>
		@endif




	</div>

	@if(isset($vstavljanje))

	<p>{{$vstavljanje}}</p>

	@endif
</div>




@endsection
