<?php $__env->startSection('title'); ?>
X-Coding
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content1'); ?>

<link href="/css/contest.css" rel="stylesheet">


<div class="container  pContainer">
	<div id="pRow" class="row">
		<div id="pCol" class="col">
			<ul class="nav nav-tabs" >
				<li class="nav-item" id="listContest">
					<a class="nav-link <?php if(isset($sole)): ?> echo active <?php endif; ?>" href="/contest" role="tab" aria-selected="true">Seznam tekmovanj</a>
				</li>
				<li class="nav-item" id="createContest">
					<a class="nav-link <?php if(isset($ustvari)): ?> active <?php endif; ?>" href="/createContest" role="tab"  aria-selected="true">Dodaj tekmovanje</a>
				</li>
				<?php if(isset($prikaziContest)): ?>
				<li class="nav-item" id="createContest">
					<a class="nav-link orange" target="_blank" href='/getContestResults/<?php echo e($prikaziContest["contest"]->id); ?>' role="tab"  aria-selected="true">Tiskaj rezultate</a>
				</li>
				<?php endif; ?>
				
			</ul>
		</div>
	</div>
	<div id="contContest">
		<?php if(isset($contesti)): ?>
		<table class="table">
  				<thead>
    				<tr>
      					<th scope="col">Id</th>
      					<th scope="col">Naslov tekmovanja</th>
      					<th scope="col">Datum zacetka</th>
      					<th scope="col">Spremeni</th>
    				</tr>
    			</thead>
    			<tbody>
			<?php $__currentLoopData = $contesti; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contest): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<tr>
				<td>
					<?php echo e($contest->id); ?>

				</td>
				<td>
					<?php echo e($contest->ime); ?>

				</td>
				<td>
					<?php echo e($contest->zacetek->format('d/m/Y H:i:s')); ?>

				</td>
				<td>
					<a href="/contest/<?php echo e($contest->id); ?>"+ >Spremeni</a>
				</td>

			</tr>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

			</tbody>
			</table>
		<?php endif; ?>

		<?php if(isset($ustvari)): ?>
		<form method="POST" action="/contest">
			<?php echo csrf_field(); ?>
			<br><label for="ime">Ime tekmovanja:</label><br>
			<input type="text" name="ime" id="ime" required placeholder="Ime tekmovanja">
			<br><label for="zacetek">Datum pricetka tekmovanja:</label><br>
			<input type="datetime-local" name="zacetek" id="zacetek" required>
			<br><label for="trajanje">Trajanje tekmovanja:</label><br>
			<select name="trajanje" id="trajanje" required>
				<option value="00:30:00">30min</option>
				<option value="00:45:00">45min</option>
				<option value="01:00:00">1h</option>
				<option value="01:15:00">1h 15min</option>
				<option value="01:30:00">1h 30min</option>
				<option value="01:45:00">1h 45min</option>
				<option value="02:00:00">2h</option>
			</select>
			

			<br><br><input type="submit" value="Shrani">

		</form>
		<?php endif; ?>

		<?php if(isset($message)): ?>

			<p class="messages"><?php echo e($message); ?></p>

		<?php endif; ?>
		<?php if(isset($prikaziContest["message"])): ?>

			<p class="messages"><?php echo e($prikaziContest["message"]); ?></p>

		<?php endif; ?>

		<?php if(isset($prikaziContest)): ?>
		
		<div id="contActive">
			<?php if($prikaziContest["isActive"]): ?>
				<h3 class="aktiviran">Tekmovanje je aktivno ->deaktivacija <a href='/deactivateContest/<?php echo e($prikaziContest["contest"]->id); ?>'>clickMe!</a></h3>
			<?php else: ?>
				<h3 class="deaktivirano">Tekmovanje ni aktivirano, zelis aktivirati?-><a href='/activateContest/<?php echo e($prikaziContest["contest"]->id); ?>'>ClickMe!</a></h3>
			<?php endif; ?>
		</div>

		<form method="POST" action='/contest/<?php echo e($prikaziContest["contest"]->id); ?>'>
			<?php echo csrf_field(); ?>
			<input name="_method" type="hidden" value="PUT">
			<br><label for="ime">Ime tekmovanja:</label><br>
			<input type="text" name="ime" id="ime" required value='<?php echo e($prikaziContest["contest"]->ime); ?>'>
			<br><label for="zacetek">Datum pricetka tekmovanja:</label><br>
			<input type="datetime-local" name="zacetek" id="zacetek" required value='<?php echo e($prikaziContest["contest"]->zacetek->format('Y-m-d\TH:i:s')); ?>'>
			<br><label for="trajanje">Trajanje tekmovanja:</label><br>
			<select name="trajanje" id="trajanje" required>
				<option value='unchanged'>default: <?php echo e($prikaziContest["contest"]->trajanje); ?></option>
				<option value="00:30:00">30min</option>
				<option value="00:45:00">45min</option>
				<option value="01:00:00">1h</option>
				<option value="01:15:00">1h 15min</option>
				<option value="01:30:00">1h 30min</option>
				<option value="01:45:00">1h 45min</option>
				<option value="02:00:00">2h</option>
			</select>
			

			<br><br><input type="submit" value="Update">

		</form>

		<hr/>
		
		<h5>Problemi vključeni v tekmovanju:</h5>
		<br>

		<a href='/izbiraProblema/<?php echo e($prikaziContest["contest"]->id); ?>'>Vstavi nov problem v tekmovanje</a>
		<br><br>

		<?php if(isset($prikaziContest["problemi"])): ?>
			<table class="table">
  				<thead>
    				<tr>
      					<th scope="col">id-problema</th>
      					<th scope="col">Naslov problema</th>
      					<th scope="col">vrstni red</th>
      					<th scope="col">Zbrisi</th>
    				</tr>
    			</thead>
    			<tbody>
			<?php $__currentLoopData = $prikaziContest["problemi"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $povezaniProblemi): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

					
						<tr>
							<td>
								<?php echo e($povezaniProblemi->id); ?>

							</td>
							<td>
								<?php echo e($povezaniProblemi->naslov); ?>

							</td>
							<td>	
								<?php echo e($povezaniProblemi->vrstniRed); ?>

							</td>
							<td>
								<a href='/izbiraProblema/delete/<?php echo e($prikaziContest["contest"]->id); ?>/<?php echo e($povezaniProblemi->id); ?>'>DELETE</a>
							</td>
							
						</tr>
					
					
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</tbody>
			</table>

			<?php endif; ?>

		<hr/>
		
		<h5>Nacrtana tekmovanja:</h5>
		<br>

		<a href='/dovoljenje/<?php echo e($prikaziContest["contest"]->id); ?>'>Dodaj razred dolocene sole v tekmovanje</a>
		<br><br>

		<?php if(isset($prikaziContest["dovoljenja"])): ?>
			<table class="table">
  				<thead>
    				<tr>
      					<th scope="col">NazivSole</th>
      					<th scope="col">KodaSole</th>
      					<th scope="col">Razred</th>
      					<th scope="col">Zacetek</th>
      					<th scope="col">Konec</th>
      					<th scope="col"> change </th>
    				</tr>
    			</thead>
    			<tbody>
			<?php $__currentLoopData = $prikaziContest["dovoljenja"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dovoljenje): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

					
						<tr>
							<td>
								<?php echo e($dovoljenje->nazivSole); ?>

							</td>
							<td>
								<?php echo e($dovoljenje->kodaSole); ?>

							</td>
							<td>	
								<?php echo e($dovoljenje->razred); ?>

							</td>
							<td>
								<?php echo e($dovoljenje->zacetek); ?>

							</td>
							<td>
								<?php echo e($dovoljenje->konec); ?>

							</td>
							<td>
								<a href="/dovoljenje/edit/<?php echo e($dovoljenje->dovoljenje_id); ?>">spremeni id: <?php echo e($dovoljenje->dovoljenje_id); ?></a>
							</td>
							
						</tr>
					
					
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</tbody>
			</table>


		<?php endif; ?>
		<?php endif; ?>

		<?php if(isset($ustvariDovoljenje)): ?>

			<form method="POST" action='/dovoljenje/<?php echo e($ustvariDovoljenje["contest"]->id); ?>'>
			<?php echo csrf_field(); ?>
			<br><label for="kodaSole">Izberi solo</label><br>
			<select name="kodaSole" id="kodaSole" required >
				<?php $__currentLoopData = $ustvariDovoljenje["sole"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sola): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

					<option value="<?php echo e($sola->id); ?>"><?php echo e($sola->nazivSole." -  koda: ".$sola->kodaSole); ?></option>
					
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			</select>
			<br><br><label for="razred">Razred</label>
			<select name="razred" id="razred" required >
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				<option value="6">6</option>
				<option value="7">7</option>
				<option value="8">8</option>
				<option value="9">9</option>
			</select>
			<br><label for="zacetek">Datum pricetka tekmovanja:</label><br>
			<input type="datetime-local" name="zacetek" id="zacetek" required min='<?php echo e($ustvariDovoljenje["contest"]->zacetek->format('Y-m-d\TH:i:s')); ?>' value='<?php echo e($ustvariDovoljenje["contest"]->zacetek->format('Y-m-d\TH:i:s')); ?>'>
			<br><label for="konec">Datum zaprtja tekmovanja:</label><br>
			<input type="datetime-local" name="konec" id="konec" required min='<?php echo e($ustvariDovoljenje["contest"]->zacetek->format('Y-m-d\TH:i:s')); ?>' value='<?php echo e($ustvariDovoljenje["contest"]->zacetek->format('Y-m-d\TH:i:s')); ?>'>
			

			<br><br><input type="submit" value="Shrani">

		</form>


		<?php endif; ?>

		<?php if(isset($dov)): ?>

			<form method="POST" action='/dovoljenje/<?php echo e($dov["dov"]->dov_id); ?>'>
			<?php echo csrf_field(); ?>
			<input name="_method" type="hidden" value="PUT">
			<input name="contest_id" value='<?php echo e($dov["dov"]->contest_id); ?>' type="hidden">
			<br><label for="kodaSole">Izberi solo</label><br>
			<select name="kodaSole" id="kodaSole" required >
				<option value='<?php echo e($dov["dov"]->sola_id); ?>'>default:  <?php echo e($dov["dov"]->nazivSole." -  koda: ".$dov["dov"]->kodaSole); ?></option>
				<?php $__currentLoopData = $dov["sole"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sola): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

					<option value="<?php echo e($sola->id); ?>"><?php echo e($sola->nazivSole." -  koda: ".$sola->kodaSole); ?></option>
					
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			</select>
			<br><br><label for="razred">Razred</label>
			<select name="razred" id="razred" required>
				<option value='<?php echo e($dov["dov"]->razred); ?>' selected>default: <?php echo e($dov["dov"]->razred); ?></option>
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				<option value="6">6</option>
				<option value="7">7</option>
				<option value="8">8</option>
				<option value="9">9</option>
			</select>
			<br><label for="zacetek">Datum pricetka tekmovanja:</label><br>
			<input type="datetime-local" name="zacetek" id="zacetek" required min='<?php echo e($dov["dov"]->zacetek->format('Y-m-d\TH:i:s')); ?>' value='<?php echo e($dov["dov"]->zacetek->format('Y-m-d\TH:i:s')); ?>'>
			<br><label for="konec">Datum zaprtja tekmovanja:</label><br>
			<input type="datetime-local" name="konec" id="konec" required min='<?php echo e($dov["dov"]->zacetek->format('Y-m-d\TH:i:s')); ?>' value='<?php echo e($dov["dov"]->zacetek->format('Y-m-d\TH:i:s')); ?>'>
			

			<br><br><input type="submit" value="Update">

		</form>

		<form method="POST" action='/dovoljenje/<?php echo e($dov["dov"]->dov_id); ?>}/<?php echo e($dov["dov"]->contest_id); ?>'>
			<?php echo csrf_field(); ?>
			<input name="_method" type="hidden" value="DELETE">
			<input class="btn btn-danger" id="delete" type="submit" value="DELETE">
		</form>	
		<?php endif; ?>



		<?php if(isset($createProblem)): ?>
		<form method="POST" action='/izbiraProblema/<?php echo e($createProblem["contest_id"]); ?>'>
			<?php echo csrf_field(); ?>
			<br><label for="problem_id">Izberi Problem za vkljucit v tekmovanje</label><br>
			<select name="problem_id" id="problem_id" required >
				<?php $__currentLoopData = $createProblem["problemi"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $problem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

					<option value="<?php echo e($problem->problem_id); ?>">id: <?php echo e($problem->problem_id); ?> naslov: <?php echo e($problem->naslov); ?></option>
					
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
			</select>
			<br><br><label for="vrstniRed">Vrstni red problema</label>
			<select name="vrstniRed" id="vrstniRed" required >
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				<option value="6">6</option>
				<option value="7">7</option>
				<option value="8">8</option>
				<option value="9">9</option>
			</select>

			<br><br><input type="submit" value="Insert">
		</form>	

		<?php endif; ?>

	</div>

	
</div>




<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/niki/Desktop/xcoding/WebApp/x-coding/resources/views/contest.blade.php ENDPATH**/ ?>